
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80007580')]      |
| SIG_REGION                | [('0x80009010', '0x8000a560', '682 dwords')]      |
| COV_LABELS                | mul      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/mul-01.S/mul-01.S    |
| Total Number of coverpoints| 858     |
| Total Coverpoints Hit     | 858      |
| Total Signature Updates   | 682      |
| STAT1                     | 680      |
| STAT2                     | 2      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80002e88]:mul a2, a0, a1
      [0x80002e8c]:sd a2, 280(ra)
 -- Signature Address: 0x800099c0 Data: 0x3D70A3D70A3D70A4
 -- Redundant Coverpoints hit by the op
      - opcode : mul
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val > 0 and rs2_val > 0
      - rs1_val == rs2_val
      - rs1_val==7378697629483820646 and rs2_val==7378697629483820646




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80007570]:mul a2, a0, a1
      [0x80007574]:sd a2, 1200(ra)
 -- Signature Address: 0x8000a558 Data: 0x0000000000000000
 -- Redundant Coverpoints hit by the op
      - opcode : mul
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val > 0 and rs2_val > 0
      - rs1_val != rs2_val
      - rs2_val == 4096
      - rs1_val == 4611686018427387904






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                            coverpoints                                                                                             |                                code                                |
|---:|----------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------|
|   1|[0x80009010]<br>0x0000001000000000|- opcode : mul<br> - rs1 : x28<br> - rs2 : x28<br> - rd : x28<br> - rs1 == rs2 == rd<br> - rs1_val > 0 and rs2_val > 0<br> - rs1_val == rs2_val<br> - rs2_val == 262144<br> - rs1_val == 262144<br> |[0x800003a0]:mul t3, t3, t3<br> [0x800003a4]:sd t3, 0(t0)<br>       |
|   2|[0x80009018]<br>0x3D70A3D70A3D70A4|- rs1 : x11<br> - rs2 : x11<br> - rd : x9<br> - rs1 == rs2 != rd<br> - rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                            |[0x800003e8]:mul s1, a1, a1<br> [0x800003ec]:sd s1, 8(t0)<br>       |
|   3|[0x80009020]<br>0x33300000B504F333|- rs1 : x27<br> - rs2 : x16<br> - rd : x27<br> - rs1 == rd != rs2<br> - rs1_val < 0 and rs2_val < 0<br> - rs1_val != rs2_val<br> - rs2_val == -4503599627370497<br>                                 |[0x8000040c]:mul s11, s11, a6<br> [0x80000410]:sd s11, 16(t0)<br>   |
|   4|[0x80009028]<br>0xEFFFE00000000000|- rs1 : x8<br> - rs2 : x15<br> - rd : x15<br> - rs2 == rd != rs1<br> - rs1_val < 0 and rs2_val > 0<br> - rs2_val == 35184372088832<br> - rs1_val == -32769<br>                                      |[0x80000424]:mul a5, fp, a5<br> [0x80000428]:sd a5, 24(t0)<br>      |
|   5|[0x80009030]<br>0x0000010000200001|- rs1 : x7<br> - rs2 : x4<br> - rd : x11<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs2_val == -1048577<br> - rs1_val == -1048577<br>                                                      |[0x8000043c]:mul a1, t2, tp<br> [0x80000440]:sd a1, 32(t0)<br>      |
|   6|[0x80009038]<br>0x0000000000000000|- rs1 : x6<br> - rs2 : x17<br> - rd : x23<br> - rs1_val > 0 and rs2_val < 0<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val == -9223372036854775808<br>                                               |[0x8000045c]:mul s7, t1, a7<br> [0x80000460]:sd s7, 40(t0)<br>      |
|   7|[0x80009040]<br>0x0000000000000000|- rs1 : x30<br> - rs2 : x2<br> - rd : x20<br> - rs2_val == 0<br> - rs1_val == 16384<br>                                                                                                             |[0x8000046c]:mul s4, t5, sp<br> [0x80000470]:sd s4, 48(t0)<br>      |
|   8|[0x80009048]<br>0xA000000000000001|- rs1 : x12<br> - rs2 : x23<br> - rd : x7<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val == 9223372036854775807<br> - rs1_val == -2305843009213693953<br>                                           |[0x8000048c]:mul t2, a2, s7<br> [0x80000490]:sd t2, 56(t0)<br>      |
|   9|[0x80009050]<br>0x0000000000000000|- rs1 : x25<br> - rs2 : x0<br> - rd : x31<br> - rs1_val == 16<br>                                                                                                                                   |[0x8000049c]:mul t6, s9, zero<br> [0x800004a0]:sd t6, 64(t0)<br>    |
|  10|[0x80009058]<br>0x8000000000000000|- rs1 : x18<br> - rs2 : x6<br> - rd : x26<br> - rs1_val == (-2**(xlen-1))<br> - rs2_val == -5<br> - rs1_val == -9223372036854775808<br>                                                             |[0x800004b0]:mul s10, s2, t1<br> [0x800004b4]:sd s10, 72(t0)<br>    |
|  11|[0x80009060]<br>0x0000000000000000|- rs1 : x14<br> - rs2 : x1<br> - rd : x30<br> - rs1_val == 0<br> - rs1_val==0 and rs2_val==-6148914691236517205<br>                                                                                 |[0x800004dc]:mul t5, a4, ra<br> [0x800004e0]:sd t5, 80(t0)<br>      |
|  12|[0x80009068]<br>0xFFFFFFFFFFFFFFFC|- rs1 : x1<br> - rs2 : x31<br> - rd : x12<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == 4<br> - rs1_val == 9223372036854775807<br>                                                              |[0x800004f4]:mul a2, ra, t6<br> [0x800004f8]:sd a2, 88(t0)<br>      |
|  13|[0x80009070]<br>0x0000000000000100|- rs1 : x22<br> - rs2 : x13<br> - rd : x3<br> - rs1_val == 1<br> - rs2_val == 256<br>                                                                                                               |[0x80000504]:mul gp, s6, a3<br> [0x80000508]:sd gp, 96(t0)<br>      |
|  14|[0x80009078]<br>0x0400000000000000|- rs1 : x2<br> - rs2 : x12<br> - rd : x22<br> - rs2_val == 2<br> - rs1_val == 144115188075855872<br>                                                                                                |[0x80000518]:mul s6, sp, a2<br> [0x8000051c]:sd s6, 104(t0)<br>     |
|  15|[0x80009080]<br>0x0000000000000400|- rs1 : x21<br> - rs2 : x7<br> - rd : x4<br> - rs2_val == 8<br> - rs1_val == 128<br>                                                                                                                |[0x80000528]:mul tp, s5, t2<br> [0x8000052c]:sd tp, 112(t0)<br>     |
|  16|[0x80009088]<br>0x5555555555555560|- rs1 : x9<br> - rs2 : x18<br> - rd : x2<br> - rs2_val == 16<br>                                                                                                                                    |[0x80000554]:mul sp, s1, s2<br> [0x80000558]:sd sp, 120(t0)<br>     |
|  17|[0x80009090]<br>0x0000000000000000|- rs1 : x0<br> - rs2 : x9<br> - rd : x10<br> - rs2_val == 32<br>                                                                                                                                    |[0x80000564]:mul a0, zero, s1<br> [0x80000568]:sd a0, 128(t0)<br>   |
|  18|[0x80009098]<br>0xFFFFFFFFFFFFFD80|- rs1 : x3<br> - rs2 : x10<br> - rd : x1<br> - rs2_val == 64<br>                                                                                                                                    |[0x80000574]:mul ra, gp, a0<br> [0x80000578]:sd ra, 136(t0)<br>     |
|  19|[0x800090a0]<br>0x0000000000000180|- rs1 : x26<br> - rs2 : x19<br> - rd : x24<br> - rs2_val == 128<br>                                                                                                                                 |[0x80000584]:mul s8, s10, s3<br> [0x80000588]:sd s8, 144(t0)<br>    |
|  20|[0x800090a8]<br>0x0000000400000000|- rs1 : x24<br> - rs2 : x25<br> - rd : x19<br> - rs2_val == 512<br> - rs1_val == 33554432<br>                                                                                                       |[0x8000059c]:mul s3, s8, s9<br> [0x800005a0]:sd s3, 0(ra)<br>       |
|  21|[0x800090b0]<br>0x0400000000000000|- rs1 : x10<br> - rs2 : x3<br> - rd : x8<br> - rs2_val == 1024<br> - rs1_val == 281474976710656<br>                                                                                                 |[0x800005b0]:mul fp, a0, gp<br> [0x800005b4]:sd fp, 8(ra)<br>       |
|  22|[0x800090b8]<br>0xFFFFFFFFFEFFF800|- rs1 : x13<br> - rs2 : x29<br> - rd : x14<br> - rs2_val == 2048<br> - rs1_val == -8193<br>                                                                                                         |[0x800005c8]:mul a4, a3, t4<br> [0x800005cc]:sd a4, 16(ra)<br>      |
|  23|[0x800090c0]<br>0x0000000000000000|- rs1 : x15<br> - rs2 : x26<br> - rd : x0<br> - rs2_val == 4096<br> - rs1_val == 4611686018427387904<br>                                                                                            |[0x800005dc]:mul zero, a5, s10<br> [0x800005e0]:sd zero, 24(ra)<br> |
|  24|[0x800090c8]<br>0xDFFFFFFFFFFFE000|- rs1 : x23<br> - rs2 : x8<br> - rd : x5<br> - rs2_val == 8192<br> - rs1_val == -281474976710657<br>                                                                                                |[0x800005f4]:mul t0, s7, fp<br> [0x800005f8]:sd t0, 32(ra)<br>      |
|  25|[0x800090d0]<br>0x0000000000004000|- rs1 : x29<br> - rs2 : x21<br> - rd : x13<br> - rs2_val == 16384<br>                                                                                                                               |[0x80000604]:mul a3, t4, s5<br> [0x80000608]:sd a3, 40(ra)<br>      |
|  26|[0x800090d8]<br>0x0000100000000000|- rs1 : x19<br> - rs2 : x20<br> - rd : x25<br> - rs2_val == 32768<br> - rs1_val == 536870912<br>                                                                                                    |[0x80000614]:mul s9, s3, s4<br> [0x80000618]:sd s9, 48(ra)<br>      |
|  27|[0x800090e0]<br>0xBFFFFFFFFFFF0000|- rs1 : x17<br> - rs2 : x22<br> - rd : x16<br> - rs2_val == 65536<br> - rs1_val == -70368744177665<br>                                                                                              |[0x8000062c]:mul a6, a7, s6<br> [0x80000630]:sd a6, 56(ra)<br>      |
|  28|[0x800090e8]<br>0xAAAAAAAAAAAA0000|- rs1 : x4<br> - rs2 : x14<br> - rd : x21<br> - rs2_val == 131072<br> - rs1_val == 6148914691236517205<br>                                                                                          |[0x80000658]:mul s5, tp, a4<br> [0x8000065c]:sd s5, 64(ra)<br>      |
|  29|[0x800090f0]<br>0x7FFFFFFFFFFC0000|- rs1 : x20<br> - rs2 : x27<br> - rd : x17<br> - rs1_val == -35184372088833<br>                                                                                                                     |[0x80000670]:mul a7, s4, s11<br> [0x80000674]:sd a7, 72(ra)<br>     |
|  30|[0x800090f8]<br>0xFFFFFEFFFFF80000|- rs1 : x31<br> - rs2 : x5<br> - rd : x29<br> - rs2_val == 524288<br> - rs1_val == -2097153<br>                                                                                                     |[0x80000684]:mul t4, t6, t0<br> [0x80000688]:sd t4, 80(ra)<br>      |
|  31|[0x80009100]<br>0x000B504F33300000|- rs1 : x5<br> - rs2 : x24<br> - rd : x18<br> - rs2_val == 1048576<br>                                                                                                                              |[0x800006a0]:mul s2, t0, s8<br> [0x800006a4]:sd s2, 88(ra)<br>      |
|  32|[0x80009108]<br>0xFFFFFFFFFFC00000|- rs1 : x16<br> - rs2 : x30<br> - rd : x6<br> - rs2_val == 4194304<br> - rs1_val == -1125899906842625<br>                                                                                           |[0x800006b8]:mul t1, a6, t5<br> [0x800006bc]:sd t1, 96(ra)<br>      |
|  33|[0x80009110]<br>0xFFFFFFFFFF800000|- rs2_val == 8388608<br>                                                                                                                                                                            |[0x800006d0]:mul a2, a0, a1<br> [0x800006d4]:sd a2, 104(ra)<br>     |
|  34|[0x80009118]<br>0xFFFFFFFFF8000000|- rs2_val == 16777216<br>                                                                                                                                                                           |[0x800006e0]:mul a2, a0, a1<br> [0x800006e4]:sd a2, 112(ra)<br>     |
|  35|[0x80009120]<br>0xCCCCCCCCCC000000|- rs2_val == 33554432<br>                                                                                                                                                                           |[0x8000070c]:mul a2, a0, a1<br> [0x80000710]:sd a2, 120(ra)<br>     |
|  36|[0x80009128]<br>0xFFFFFFFFE8000000|- rs2_val == 67108864<br>                                                                                                                                                                           |[0x8000071c]:mul a2, a0, a1<br> [0x80000720]:sd a2, 128(ra)<br>     |
|  37|[0x80009130]<br>0xFFFFFFFFE0000000|- rs2_val == 134217728<br>                                                                                                                                                                          |[0x8000072c]:mul a2, a0, a1<br> [0x80000730]:sd a2, 136(ra)<br>     |
|  38|[0x80009138]<br>0xFFFFFFFFD0000000|- rs2_val == 268435456<br> - rs1_val == -3<br>                                                                                                                                                      |[0x8000073c]:mul a2, a0, a1<br> [0x80000740]:sd a2, 144(ra)<br>     |
|  39|[0x80009140]<br>0xFFFFFDFFE0000000|- rs2_val == 536870912<br> - rs1_val == -4097<br>                                                                                                                                                   |[0x80000750]:mul a2, a0, a1<br> [0x80000754]:sd a2, 152(ra)<br>     |
|  40|[0x80009148]<br>0x2D413CCC80000000|- rs2_val == 1073741824<br>                                                                                                                                                                         |[0x8000076c]:mul a2, a0, a1<br> [0x80000770]:sd a2, 160(ra)<br>     |
|  41|[0x80009150]<br>0x0000000180000000|- rs2_val == 2147483648<br>                                                                                                                                                                         |[0x80000780]:mul a2, a0, a1<br> [0x80000784]:sd a2, 168(ra)<br>     |
|  42|[0x80009158]<br>0x5555555600000000|- rs2_val == 4294967296<br>                                                                                                                                                                         |[0x800007b0]:mul a2, a0, a1<br> [0x800007b4]:sd a2, 176(ra)<br>     |
|  43|[0x80009160]<br>0xFFFFFFFE00000000|- rs2_val == 8589934592<br> - rs1_val == -4398046511105<br>                                                                                                                                         |[0x800007cc]:mul a2, a0, a1<br> [0x800007d0]:sd a2, 184(ra)<br>     |
|  44|[0x80009168]<br>0x0000008000000000|- rs2_val == 17179869184<br> - rs1_val == 32<br>                                                                                                                                                    |[0x800007e0]:mul a2, a0, a1<br> [0x800007e4]:sd a2, 192(ra)<br>     |
|  45|[0x80009170]<br>0x0010000000000000|- rs2_val == 34359738368<br> - rs1_val == 131072<br>                                                                                                                                                |[0x800007f4]:mul a2, a0, a1<br> [0x800007f8]:sd a2, 200(ra)<br>     |
|  46|[0x80009178]<br>0xFFFFFDF000000000|- rs2_val == 68719476736<br> - rs1_val == -33<br>                                                                                                                                                   |[0x80000808]:mul a2, a0, a1<br> [0x8000080c]:sd a2, 208(ra)<br>     |
|  47|[0x80009180]<br>0x0000000000000000|- rs2_val == 137438953472<br> - rs1_val == 34359738368<br>                                                                                                                                          |[0x80000820]:mul a2, a0, a1<br> [0x80000824]:sd a2, 216(ra)<br>     |
|  48|[0x80009188]<br>0xDFFFFFC000000000|- rs2_val == 274877906944<br> - rs1_val == -8388609<br>                                                                                                                                             |[0x80000838]:mul a2, a0, a1<br> [0x8000083c]:sd a2, 224(ra)<br>     |
|  49|[0x80009190]<br>0x0020000000000000|- rs2_val == 549755813888<br>                                                                                                                                                                       |[0x8000084c]:mul a2, a0, a1<br> [0x80000850]:sd a2, 232(ra)<br>     |
|  50|[0x80009198]<br>0x5555560000000000|- rs2_val == 1099511627776<br>                                                                                                                                                                      |[0x8000087c]:mul a2, a0, a1<br> [0x80000880]:sd a2, 240(ra)<br>     |
|  51|[0x800091a0]<br>0x0001000000000000|- rs2_val == 2199023255552<br>                                                                                                                                                                      |[0x80000890]:mul a2, a0, a1<br> [0x80000894]:sd a2, 248(ra)<br>     |
|  52|[0x800091a8]<br>0xFFFFFC0000000000|- rs2_val == 4398046511104<br> - rs1_val == -18014398509481985<br>                                                                                                                                  |[0x800008ac]:mul a2, a0, a1<br> [0x800008b0]:sd a2, 256(ra)<br>     |
|  53|[0x800091b0]<br>0xFFFFF80000000000|- rs2_val == 8796093022208<br> - rs1_val == -2199023255553<br>                                                                                                                                      |[0x800008c8]:mul a2, a0, a1<br> [0x800008cc]:sd a2, 264(ra)<br>     |
|  54|[0x800091b8]<br>0x0000000000000000|- rs2_val == 17592186044416<br> - rs1_val == 68719476736<br>                                                                                                                                        |[0x800008e0]:mul a2, a0, a1<br> [0x800008e4]:sd a2, 272(ra)<br>     |
|  55|[0x800091c0]<br>0x0000000000000000|- rs2_val == 70368744177664<br>                                                                                                                                                                     |[0x800008f8]:mul a2, a0, a1<br> [0x800008fc]:sd a2, 280(ra)<br>     |
|  56|[0x800091c8]<br>0x0001800000000000|- rs2_val == 140737488355328<br>                                                                                                                                                                    |[0x8000090c]:mul a2, a0, a1<br> [0x80000910]:sd a2, 288(ra)<br>     |
|  57|[0x800091d0]<br>0x5556000000000000|- rs2_val == 281474976710656<br>                                                                                                                                                                    |[0x8000093c]:mul a2, a0, a1<br> [0x80000940]:sd a2, 296(ra)<br>     |
|  58|[0x800091d8]<br>0x0008000000000000|- rs2_val == 562949953421312<br> - rs1_val == 4<br>                                                                                                                                                 |[0x80000950]:mul a2, a0, a1<br> [0x80000954]:sd a2, 304(ra)<br>     |
|  59|[0x800091e0]<br>0xFFFC000000000000|- rs2_val == 1125899906842624<br> - rs1_val == -549755813889<br>                                                                                                                                    |[0x8000096c]:mul a2, a0, a1<br> [0x80000970]:sd a2, 312(ra)<br>     |
|  60|[0x800091e8]<br>0xFFF8000000000000|- rs2_val == 2251799813685248<br>                                                                                                                                                                   |[0x80000988]:mul a2, a0, a1<br> [0x8000098c]:sd a2, 320(ra)<br>     |
|  61|[0x800091f0]<br>0x0000000000000000|- rs2_val == 4503599627370496<br>                                                                                                                                                                   |[0x8000099c]:mul a2, a0, a1<br> [0x800009a0]:sd a2, 328(ra)<br>     |
|  62|[0x800091f8]<br>0x0000000000000000|- rs2_val == 9007199254740992<br> - rs1_val == 16777216<br>                                                                                                                                         |[0x800009b0]:mul a2, a0, a1<br> [0x800009b4]:sd a2, 336(ra)<br>     |
|  63|[0x80009200]<br>0x01C0000000000000|- rs2_val == 18014398509481984<br>                                                                                                                                                                  |[0x800009c4]:mul a2, a0, a1<br> [0x800009c8]:sd a2, 344(ra)<br>     |
|  64|[0x80009208]<br>0xFF80000000000000|- rs2_val == 36028797018963968<br>                                                                                                                                                                  |[0x800009dc]:mul a2, a0, a1<br> [0x800009e0]:sd a2, 352(ra)<br>     |
|  65|[0x80009210]<br>0xFF00000000000000|- rs2_val == 72057594037927936<br> - rs1_val == -34359738369<br>                                                                                                                                    |[0x800009f8]:mul a2, a0, a1<br> [0x800009fc]:sd a2, 360(ra)<br>     |
|  66|[0x80009218]<br>0xFE00000000000000|- rs2_val == 144115188075855872<br> - rs1_val == -1152921504606846977<br>                                                                                                                           |[0x80000a14]:mul a2, a0, a1<br> [0x80000a18]:sd a2, 368(ra)<br>     |
|  67|[0x80009220]<br>0xE800000000000000|- rs2_val == 288230376151711744<br>                                                                                                                                                                 |[0x80000a28]:mul a2, a0, a1<br> [0x80000a2c]:sd a2, 376(ra)<br>     |
|  68|[0x80009228]<br>0x9000000000000000|- rs2_val == 576460752303423488<br>                                                                                                                                                                 |[0x80000a58]:mul a2, a0, a1<br> [0x80000a5c]:sd a2, 384(ra)<br>     |
|  69|[0x80009230]<br>0x0000000000000000|- rs2_val == 1152921504606846976<br> - rs1_val == 17592186044416<br>                                                                                                                                |[0x80000a70]:mul a2, a0, a1<br> [0x80000a74]:sd a2, 392(ra)<br>     |
|  70|[0x80009238]<br>0x0000000000000000|- rs2_val == 2305843009213693952<br> - rs1_val == 274877906944<br>                                                                                                                                  |[0x80000a88]:mul a2, a0, a1<br> [0x80000a8c]:sd a2, 400(ra)<br>     |
|  71|[0x80009240]<br>0x0000000000000000|- rs2_val == 4611686018427387904<br> - rs1_val == 137438953472<br>                                                                                                                                  |[0x80000aa0]:mul a2, a0, a1<br> [0x80000aa4]:sd a2, 408(ra)<br>     |
|  72|[0x80009248]<br>0x0000000000000000|- rs2_val == -2<br>                                                                                                                                                                                 |[0x80000ab4]:mul a2, a0, a1<br> [0x80000ab8]:sd a2, 416(ra)<br>     |
|  73|[0x80009250]<br>0x0000000000000000|- rs2_val == -3<br>                                                                                                                                                                                 |[0x80000ac4]:mul a2, a0, a1<br> [0x80000ac8]:sd a2, 424(ra)<br>     |
|  74|[0x80009258]<br>0xFFFFFFFFFFFFFEE0|- rs2_val == -9<br>                                                                                                                                                                                 |[0x80000ad4]:mul a2, a0, a1<br> [0x80000ad8]:sd a2, 432(ra)<br>     |
|  75|[0x80009260]<br>0x0000000220000011|- rs2_val == -17<br> - rs1_val == -536870913<br>                                                                                                                                                    |[0x80000ae8]:mul a2, a0, a1<br> [0x80000aec]:sd a2, 440(ra)<br>     |
|  76|[0x80009268]<br>0x0000042000000021|- rs2_val == -33<br> - rs1_val == -137438953473<br>                                                                                                                                                 |[0x80000b00]:mul a2, a0, a1<br> [0x80000b04]:sd a2, 448(ra)<br>     |
|  77|[0x80009270]<br>0x0000002DF641BFB2|- rs2_val == -65<br>                                                                                                                                                                                |[0x80000b1c]:mul a2, a0, a1<br> [0x80000b20]:sd a2, 456(ra)<br>     |
|  78|[0x80009278]<br>0xFFFDFC0000000000|- rs2_val == -129<br> - rs1_val == 4398046511104<br>                                                                                                                                                |[0x80000b30]:mul a2, a0, a1<br> [0x80000b34]:sd a2, 464(ra)<br>     |
|  79|[0x80009280]<br>0xFFFFFFFFFFFFDFE0|- rs2_val == -257<br>                                                                                                                                                                               |[0x80000b40]:mul a2, a0, a1<br> [0x80000b44]:sd a2, 472(ra)<br>     |
|  80|[0x80009288]<br>0xFFFFFFFFFFFDFF00|- rs2_val == -513<br> - rs1_val == 256<br>                                                                                                                                                          |[0x80000b50]:mul a2, a0, a1<br> [0x80000b54]:sd a2, 480(ra)<br>     |
|  81|[0x80009290]<br>0xFFFFFFFFFFFBFF00|- rs2_val == -1025<br>                                                                                                                                                                              |[0x80000b60]:mul a2, a0, a1<br> [0x80000b64]:sd a2, 488(ra)<br>     |
|  82|[0x80009298]<br>0x0000000000040881|- rs2_val == -2049<br> - rs1_val == -129<br>                                                                                                                                                        |[0x80000b74]:mul a2, a0, a1<br> [0x80000b78]:sd a2, 496(ra)<br>     |
|  83|[0x800092a0]<br>0x0200200000001001|- rs2_val == -4097<br>                                                                                                                                                                              |[0x80000b90]:mul a2, a0, a1<br> [0x80000b94]:sd a2, 504(ra)<br>     |
|  84|[0x800092a8]<br>0xFFFDFFF000000000|- rs2_val == -8193<br>                                                                                                                                                                              |[0x80000ba8]:mul a2, a0, a1<br> [0x80000bac]:sd a2, 512(ra)<br>     |
|  85|[0x800092b0]<br>0xFFFFFFFFBFFF0000|- rs2_val == -16385<br> - rs1_val == 65536<br>                                                                                                                                                      |[0x80000bbc]:mul a2, a0, a1<br> [0x80000bc0]:sd a2, 520(ra)<br>     |
|  86|[0x800092b8]<br>0x0000000000002AAB|- rs2_val == -32769<br>                                                                                                                                                                             |[0x80000bec]:mul a2, a0, a1<br> [0x80000bf0]:sd a2, 528(ra)<br>     |
|  87|[0x800092c0]<br>0x0000000200030001|- rs2_val == -65537<br> - rs1_val == -131073<br>                                                                                                                                                    |[0x80000c04]:mul a2, a0, a1<br> [0x80000c08]:sd a2, 536(ra)<br>     |
|  88|[0x800092c8]<br>0xFFFFFEFFFF800000|- rs2_val == -131073<br> - rs1_val == 8388608<br>                                                                                                                                                   |[0x80000c18]:mul a2, a0, a1<br> [0x80000c1c]:sd a2, 544(ra)<br>     |
|  89|[0x800092d0]<br>0x0000000200048001|- rs2_val == -262145<br>                                                                                                                                                                            |[0x80000c30]:mul a2, a0, a1<br> [0x80000c34]:sd a2, 552(ra)<br>     |
|  90|[0x800092d8]<br>0xFFFA57D7B15B0CCC|- rs2_val == -524289<br>                                                                                                                                                                            |[0x80000c50]:mul a2, a0, a1<br> [0x80000c54]:sd a2, 560(ra)<br>     |
|  91|[0x800092e0]<br>0xF7FFFFC000000000|- rs2_val == -2097153<br>                                                                                                                                                                           |[0x80000c68]:mul a2, a0, a1<br> [0x80000c6c]:sd a2, 568(ra)<br>     |
|  92|[0x800092e8]<br>0x0000000400401001|- rs2_val == -4194305<br>                                                                                                                                                                           |[0x80000c80]:mul a2, a0, a1<br> [0x80000c84]:sd a2, 576(ra)<br>     |
|  93|[0x800092f0]<br>0xFFBFFFFF80000000|- rs2_val == -8388609<br> - rs1_val == 2147483648<br>                                                                                                                                               |[0x80000c98]:mul a2, a0, a1<br> [0x80000c9c]:sd a2, 584(ra)<br>     |
|  94|[0x800092f8]<br>0x0002000001000001|- rs2_val == -16777217<br> - rs1_val == -562949953421313<br>                                                                                                                                        |[0x80000cb4]:mul a2, a0, a1<br> [0x80000cb8]:sd a2, 592(ra)<br>     |
|  95|[0x80009300]<br>0xFFFFFF7FFFFFC000|- rs2_val == -33554433<br>                                                                                                                                                                          |[0x80000cc8]:mul a2, a0, a1<br> [0x80000ccc]:sd a2, 600(ra)<br>     |
|  96|[0x80009308]<br>0x0000000044000011|- rs2_val == -67108865<br> - rs1_val == -17<br>                                                                                                                                                     |[0x80000cdc]:mul a2, a0, a1<br> [0x80000ce0]:sd a2, 608(ra)<br>     |
|  97|[0x80009310]<br>0xFFFFFFFFC7FFFFF9|- rs2_val == -134217729<br>                                                                                                                                                                         |[0x80000cf0]:mul a2, a0, a1<br> [0x80000cf4]:sd a2, 616(ra)<br>     |
|  98|[0x80009318]<br>0x0000000010000001|- rs2_val == -268435457<br>                                                                                                                                                                         |[0x80000d04]:mul a2, a0, a1<br> [0x80000d08]:sd a2, 624(ra)<br>     |
|  99|[0x80009320]<br>0xFFFFFDFFFFFFF000|- rs2_val == -536870913<br> - rs1_val == 4096<br>                                                                                                                                                   |[0x80000d18]:mul a2, a0, a1<br> [0x80000d1c]:sd a2, 632(ra)<br>     |
| 100|[0x80009328]<br>0x55555555AAAAAAAC|- rs2_val == -1073741825<br>                                                                                                                                                                        |[0x80000d48]:mul a2, a0, a1<br> [0x80000d4c]:sd a2, 640(ra)<br>     |
| 101|[0x80009330]<br>0x0000200080004001|- rs2_val == -2147483649<br> - rs1_val == -16385<br>                                                                                                                                                |[0x80000d64]:mul a2, a0, a1<br> [0x80000d68]:sd a2, 648(ra)<br>     |
| 102|[0x80009338]<br>0x0010000100100001|- rs2_val == -4294967297<br>                                                                                                                                                                        |[0x80000d80]:mul a2, a0, a1<br> [0x80000d84]:sd a2, 656(ra)<br>     |
| 103|[0x80009340]<br>0xFFFFFC0000000000|- rs2_val == -8589934593<br>                                                                                                                                                                        |[0x80000d9c]:mul a2, a0, a1<br> [0x80000da0]:sd a2, 664(ra)<br>     |
| 104|[0x80009348]<br>0x0004000400000001|- rs2_val == -17179869185<br>                                                                                                                                                                       |[0x80000dbc]:mul a2, a0, a1<br> [0x80000dc0]:sd a2, 672(ra)<br>     |
| 105|[0x80009350]<br>0xFFFFFDFFFFFFFFC0|- rs2_val == -34359738369<br> - rs1_val == 64<br>                                                                                                                                                   |[0x80000dd4]:mul a2, a0, a1<br> [0x80000dd8]:sd a2, 680(ra)<br>     |
| 106|[0x80009358]<br>0xFF7FFFFFFFF80000|- rs2_val == -68719476737<br> - rs1_val == 524288<br>                                                                                                                                               |[0x80000dec]:mul a2, a0, a1<br> [0x80000df0]:sd a2, 688(ra)<br>     |
| 107|[0x80009360]<br>0xFEFFFFFFFFF80000|- rs2_val == -137438953473<br>                                                                                                                                                                      |[0x80000e04]:mul a2, a0, a1<br> [0x80000e08]:sd a2, 696(ra)<br>     |
| 108|[0x80009368]<br>0x0000004CCCCCCCCE|- rs2_val == -274877906945<br>                                                                                                                                                                      |[0x80000e38]:mul a2, a0, a1<br> [0x80000e3c]:sd a2, 704(ra)<br>     |
| 109|[0x80009370]<br>0xFFFFC00000000000|- rs2_val == -549755813889<br> - rs1_val == 70368744177664<br>                                                                                                                                      |[0x80000e54]:mul a2, a0, a1<br> [0x80000e58]:sd a2, 712(ra)<br>     |
| 110|[0x80009378]<br>0xFFFFBFFFFFFFFFE0|- rs2_val == -2199023255553<br>                                                                                                                                                                     |[0x80000e6c]:mul a2, a0, a1<br> [0x80000e70]:sd a2, 720(ra)<br>     |
| 111|[0x80009380]<br>0xFFFFFFFFFF800000|- rs2_val == -4398046511105<br>                                                                                                                                                                     |[0x80000e84]:mul a2, a0, a1<br> [0x80000e88]:sd a2, 728(ra)<br>     |
| 112|[0x80009388]<br>0x0000088000000001|- rs2_val == -8796093022209<br>                                                                                                                                                                     |[0x80000ea4]:mul a2, a0, a1<br> [0x80000ea8]:sd a2, 736(ra)<br>     |
| 113|[0x80009390]<br>0xFFEFFFFFFFFFFF00|- rs2_val == -17592186044417<br>                                                                                                                                                                    |[0x80000ebc]:mul a2, a0, a1<br> [0x80000ec0]:sd a2, 744(ra)<br>     |
| 114|[0x80009398]<br>0xFFFF800000000000|- rs2_val == -35184372088833<br> - rs1_val == 140737488355328<br>                                                                                                                                   |[0x80000ed8]:mul a2, a0, a1<br> [0x80000edc]:sd a2, 752(ra)<br>     |
| 115|[0x800093a0]<br>0xFFFFE00000000000|- rs2_val == -70368744177665<br> - rs1_val == 35184372088832<br>                                                                                                                                    |[0x80000ef4]:mul a2, a0, a1<br> [0x80000ef8]:sd a2, 760(ra)<br>     |
| 116|[0x800093a8]<br>0x0000800800000001|- rs2_val == -140737488355329<br>                                                                                                                                                                   |[0x80000f14]:mul a2, a0, a1<br> [0x80000f18]:sd a2, 768(ra)<br>     |
| 117|[0x800093b0]<br>0xAAAB555555555556|- rs2_val == -281474976710657<br> - rs1_val == -6148914691236517206<br>                                                                                                                             |[0x80000f48]:mul a2, a0, a1<br> [0x80000f4c]:sd a2, 776(ra)<br>     |
| 118|[0x800093b8]<br>0xCCCB999999999999|- rs2_val == -562949953421313<br>                                                                                                                                                                   |[0x80000f7c]:mul a2, a0, a1<br> [0x80000f80]:sd a2, 784(ra)<br>     |
| 119|[0x800093c0]<br>0x8004000000000001|- rs2_val == -1125899906842625<br>                                                                                                                                                                  |[0x80000f9c]:mul a2, a0, a1<br> [0x80000fa0]:sd a2, 792(ra)<br>     |
| 120|[0x800093c8]<br>0xFFFFFFFFFFF80000|- rs2_val == -2251799813685249<br>                                                                                                                                                                  |[0x80000fb4]:mul a2, a0, a1<br> [0x80000fb8]:sd a2, 800(ra)<br>     |
| 121|[0x800093d0]<br>0x0420000000000001|- rs2_val == -9007199254740993<br> - rs1_val == -288230376151711745<br>                                                                                                                             |[0x80000fd4]:mul a2, a0, a1<br> [0x80000fd8]:sd a2, 808(ra)<br>     |
| 122|[0x800093d8]<br>0xFFFFFFFFFF000000|- rs2_val == -18014398509481985<br>                                                                                                                                                                 |[0x80000fec]:mul a2, a0, a1<br> [0x80000ff0]:sd a2, 816(ra)<br>     |
| 123|[0x800093e0]<br>0x8080000000000101|- rs2_val == -36028797018963969<br> - rs1_val == -257<br>                                                                                                                                           |[0x80001004]:mul a2, a0, a1<br> [0x80001008]:sd a2, 824(ra)<br>     |
| 124|[0x800093e8]<br>0x339999999999999A|- rs2_val == -72057594037927937<br>                                                                                                                                                                 |[0x80001038]:mul a2, a0, a1<br> [0x8000103c]:sd a2, 832(ra)<br>     |
| 125|[0x800093f0]<br>0xFFF8000000000000|- rs2_val == -144115188075855873<br> - rs1_val == 2251799813685248<br>                                                                                                                              |[0x80001054]:mul a2, a0, a1<br> [0x80001058]:sd a2, 840(ra)<br>     |
| 126|[0x800093f8]<br>0x0800000000000001|- rs2_val == -288230376151711745<br>                                                                                                                                                                |[0x80001074]:mul a2, a0, a1<br> [0x80001078]:sd a2, 848(ra)<br>     |
| 127|[0x80009400]<br>0xFFFFFFFFFFFFFE00|- rs2_val == -576460752303423489<br> - rs1_val == 512<br>                                                                                                                                           |[0x8000108c]:mul a2, a0, a1<br> [0x80001090]:sd a2, 856(ra)<br>     |
| 128|[0x80009408]<br>0x1000000000000081|- rs2_val == -1152921504606846977<br>                                                                                                                                                               |[0x800010a4]:mul a2, a0, a1<br> [0x800010a8]:sd a2, 864(ra)<br>     |
| 129|[0x80009410]<br>0x2000000040000001|- rs2_val == -2305843009213693953<br> - rs1_val == -1073741825<br>                                                                                                                                  |[0x800010c0]:mul a2, a0, a1<br> [0x800010c4]:sd a2, 872(ra)<br>     |
| 130|[0x80009418]<br>0x7FFFFFFFFFFFFFFE|- rs2_val == -4611686018427387905<br> - rs1_val == 2<br>                                                                                                                                            |[0x800010d8]:mul a2, a0, a1<br> [0x800010dc]:sd a2, 880(ra)<br>     |
| 131|[0x80009420]<br>0x5555555555555554|- rs2_val == 6148914691236517205<br> - rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                              |[0x80001104]:mul a2, a0, a1<br> [0x80001108]:sd a2, 888(ra)<br>     |
| 132|[0x80009428]<br>0x555555555555555C|- rs2_val == -6148914691236517206<br>                                                                                                                                                               |[0x80001130]:mul a2, a0, a1<br> [0x80001134]:sd a2, 896(ra)<br>     |
| 133|[0x80009430]<br>0xEFFFFFFFFFFFFFF8|- rs1_val == 8<br>                                                                                                                                                                                  |[0x80001148]:mul a2, a0, a1<br> [0x8000114c]:sd a2, 904(ra)<br>     |
| 134|[0x80009438]<br>0x0000000000000000|- rs1_val == 1024<br>                                                                                                                                                                               |[0x8000115c]:mul a2, a0, a1<br> [0x80001160]:sd a2, 912(ra)<br>     |
| 135|[0x80009440]<br>0x9999999999999000|- rs1_val == 2048<br>                                                                                                                                                                               |[0x8000118c]:mul a2, a0, a1<br> [0x80001190]:sd a2, 920(ra)<br>     |
| 136|[0x80009448]<br>0xCCCCCCCCCCCCA000|- rs1_val == 8192<br>                                                                                                                                                                               |[0x800011b8]:mul a2, a0, a1<br> [0x800011bc]:sd a2, 928(ra)<br>     |
| 137|[0x80009450]<br>0x0004000000000000|- rs1_val == 32768<br>                                                                                                                                                                              |[0x800011cc]:mul a2, a0, a1<br> [0x800011d0]:sd a2, 936(ra)<br>     |
| 138|[0x80009458]<br>0x6666666666600000|- rs1_val == 1048576<br>                                                                                                                                                                            |[0x800011f8]:mul a2, a0, a1<br> [0x800011fc]:sd a2, 944(ra)<br>     |
| 139|[0x80009460]<br>0xFFFFFFF7FFE00000|- rs1_val == 2097152<br>                                                                                                                                                                            |[0x8000120c]:mul a2, a0, a1<br> [0x80001210]:sd a2, 952(ra)<br>     |
| 140|[0x80009468]<br>0x0000000000C00000|- rs1_val == 4194304<br>                                                                                                                                                                            |[0x8000121c]:mul a2, a0, a1<br> [0x80001220]:sd a2, 960(ra)<br>     |
| 141|[0x80009470]<br>0x999999999C000000|- rs1_val == 67108864<br>                                                                                                                                                                           |[0x80001248]:mul a2, a0, a1<br> [0x8000124c]:sd a2, 968(ra)<br>     |
| 142|[0x80009478]<br>0x9999999998000000|- rs1_val == 134217728<br>                                                                                                                                                                          |[0x80001274]:mul a2, a0, a1<br> [0x80001278]:sd a2, 976(ra)<br>     |
| 143|[0x80009480]<br>0x0008000000000000|- rs1_val == 268435456<br>                                                                                                                                                                          |[0x80001284]:mul a2, a0, a1<br> [0x80001288]:sd a2, 984(ra)<br>     |
| 144|[0x80009488]<br>0x0000000000000000|- rs1_val == 1073741824<br>                                                                                                                                                                         |[0x80001298]:mul a2, a0, a1<br> [0x8000129c]:sd a2, 992(ra)<br>     |
| 145|[0x80009490]<br>0x0000020000000000|- rs1_val == 4294967296<br>                                                                                                                                                                         |[0x800012ac]:mul a2, a0, a1<br> [0x800012b0]:sd a2, 1000(ra)<br>    |
| 146|[0x80009498]<br>0x5555555600000000|- rs1_val == 8589934592<br>                                                                                                                                                                         |[0x800012dc]:mul a2, a0, a1<br> [0x800012e0]:sd a2, 1008(ra)<br>    |
| 147|[0x800094a0]<br>0x0000002400000000|- rs1_val == 17179869184<br>                                                                                                                                                                        |[0x800012f0]:mul a2, a0, a1<br> [0x800012f4]:sd a2, 1016(ra)<br>    |
| 148|[0x800094a8]<br>0x0200000000000000|- rs1_val == 549755813888<br>                                                                                                                                                                       |[0x80001304]:mul a2, a0, a1<br> [0x80001308]:sd a2, 1024(ra)<br>    |
| 149|[0x800094b0]<br>0x1000000000000000|- rs1_val == 1099511627776<br>                                                                                                                                                                      |[0x80001318]:mul a2, a0, a1<br> [0x8000131c]:sd a2, 1032(ra)<br>    |
| 150|[0x800094b8]<br>0xFFFFFE0000000000|- rs1_val == 2199023255552<br>                                                                                                                                                                      |[0x80001334]:mul a2, a0, a1<br> [0x80001338]:sd a2, 1040(ra)<br>    |
| 151|[0x800094c0]<br>0xFFFFF80000000000|- rs1_val == 8796093022208<br>                                                                                                                                                                      |[0x80001350]:mul a2, a0, a1<br> [0x80001354]:sd a2, 1048(ra)<br>    |
| 152|[0x800094c8]<br>0xFFFE000000000000|- rs1_val == 562949953421312<br>                                                                                                                                                                    |[0x8000136c]:mul a2, a0, a1<br> [0x80001370]:sd a2, 1056(ra)<br>    |
| 153|[0x800094d0]<br>0xFFFC000000000000|- rs1_val == 1125899906842624<br>                                                                                                                                                                   |[0x80001384]:mul a2, a0, a1<br> [0x80001388]:sd a2, 1064(ra)<br>    |
| 154|[0x800094d8]<br>0x0000000000000000|- rs1_val == 4503599627370496<br>                                                                                                                                                                   |[0x80001398]:mul a2, a0, a1<br> [0x8000139c]:sd a2, 1072(ra)<br>    |
| 155|[0x800094e0]<br>0x0080000000000000|- rs1_val == 9007199254740992<br>                                                                                                                                                                   |[0x800013ac]:mul a2, a0, a1<br> [0x800013b0]:sd a2, 1080(ra)<br>    |
| 156|[0x800094e8]<br>0x0000000000000000|- rs1_val == 18014398509481984<br>                                                                                                                                                                  |[0x800013c0]:mul a2, a0, a1<br> [0x800013c4]:sd a2, 1088(ra)<br>    |
| 157|[0x800094f0]<br>0xFF80000000000000|- rs1_val == 36028797018963968<br>                                                                                                                                                                  |[0x800013dc]:mul a2, a0, a1<br> [0x800013e0]:sd a2, 1096(ra)<br>    |
| 158|[0x800094f8]<br>0xFF00000000000000|- rs1_val == 72057594037927936<br>                                                                                                                                                                  |[0x800013f4]:mul a2, a0, a1<br> [0x800013f8]:sd a2, 1104(ra)<br>    |
| 159|[0x80009500]<br>0x0000000000000000|- rs1_val == 288230376151711744<br>                                                                                                                                                                 |[0x80001408]:mul a2, a0, a1<br> [0x8000140c]:sd a2, 1112(ra)<br>    |
| 160|[0x80009508]<br>0xF800000000000000|- rs1_val == 576460752303423488<br>                                                                                                                                                                 |[0x80001420]:mul a2, a0, a1<br> [0x80001424]:sd a2, 1120(ra)<br>    |
| 161|[0x80009510]<br>0x0000000000000000|- rs1_val == 1152921504606846976<br>                                                                                                                                                                |[0x80001434]:mul a2, a0, a1<br> [0x80001438]:sd a2, 1128(ra)<br>    |
| 162|[0x80009518]<br>0xE000000000000000|- rs1_val == 2305843009213693952<br>                                                                                                                                                                |[0x8000144c]:mul a2, a0, a1<br> [0x80001450]:sd a2, 1136(ra)<br>    |
| 163|[0x80009520]<br>0x1400000000000005|- rs1_val == -5<br>                                                                                                                                                                                 |[0x80001464]:mul a2, a0, a1<br> [0x80001468]:sd a2, 1144(ra)<br>    |
| 164|[0x80009528]<br>0x0000000000001209|- rs1_val == -9<br>                                                                                                                                                                                 |[0x80001474]:mul a2, a0, a1<br> [0x80001478]:sd a2, 1152(ra)<br>    |
| 165|[0x80009530]<br>0xFFFFFFFFBF000000|- rs1_val == -65<br>                                                                                                                                                                                |[0x80001484]:mul a2, a0, a1<br> [0x80001488]:sd a2, 1160(ra)<br>    |
| 166|[0x80009538]<br>0x0000008040000201|- rs1_val == -513<br>                                                                                                                                                                               |[0x80001498]:mul a2, a0, a1<br> [0x8000149c]:sd a2, 1168(ra)<br>    |
| 167|[0x80009540]<br>0x0000000000008421|- rs1_val == -1025<br>                                                                                                                                                                              |[0x800014a8]:mul a2, a0, a1<br> [0x800014ac]:sd a2, 1176(ra)<br>    |
| 168|[0x80009548]<br>0x3333333333333CCE|- rs1_val == -2049<br>                                                                                                                                                                              |[0x800014d8]:mul a2, a0, a1<br> [0x800014dc]:sd a2, 1184(ra)<br>    |
| 169|[0x80009550]<br>0xFFFFFFFDFFFE0000|- rs1_val == -65537<br>                                                                                                                                                                             |[0x800014ec]:mul a2, a0, a1<br> [0x800014f0]:sd a2, 1192(ra)<br>    |
| 170|[0x80009558]<br>0x0000000040041001|- rs1_val == -262145<br>                                                                                                                                                                            |[0x80001504]:mul a2, a0, a1<br> [0x80001508]:sd a2, 1200(ra)<br>    |
| 171|[0x80009560]<br>0xFBFFFF8000000000|- rs1_val == -524289<br>                                                                                                                                                                            |[0x8000151c]:mul a2, a0, a1<br> [0x80001520]:sd a2, 1208(ra)<br>    |
| 172|[0x80009568]<br>0x0200000000400001|- rs1_val == -4194305<br>                                                                                                                                                                           |[0x80001538]:mul a2, a0, a1<br> [0x8000153c]:sd a2, 1216(ra)<br>    |
| 173|[0x80009570]<br>0x0000000004000004|- rs1_val == -16777217<br>                                                                                                                                                                          |[0x8000154c]:mul a2, a0, a1<br> [0x80001550]:sd a2, 1224(ra)<br>    |
| 174|[0x80009578]<br>0x0000000001555556|- rs1_val == -33554433<br>                                                                                                                                                                          |[0x8000157c]:mul a2, a0, a1<br> [0x80001580]:sd a2, 1232(ra)<br>    |
| 175|[0x80009580]<br>0xFFFFF80000000000|- rs1_val == -67108865<br>                                                                                                                                                                          |[0x80001594]:mul a2, a0, a1<br> [0x80001598]:sd a2, 1240(ra)<br>    |
| 176|[0x80009588]<br>0xFFFFFE0000000000|- rs1_val == -134217729<br>                                                                                                                                                                         |[0x800015ac]:mul a2, a0, a1<br> [0x800015b0]:sd a2, 1248(ra)<br>    |
| 177|[0x80009590]<br>0xFFFFFFFFDFFFFFFE|- rs1_val == -268435457<br>                                                                                                                                                                         |[0x800015c0]:mul a2, a0, a1<br> [0x800015c4]:sd a2, 1256(ra)<br>    |
| 178|[0x80009598]<br>0xFF00000000000000|- rs1_val == -2147483649<br>                                                                                                                                                                        |[0x800015dc]:mul a2, a0, a1<br> [0x800015e0]:sd a2, 1264(ra)<br>    |
| 179|[0x800095a0]<br>0x0002000100000001|- rs1_val == -4294967297<br>                                                                                                                                                                        |[0x800015fc]:mul a2, a0, a1<br> [0x80001600]:sd a2, 1272(ra)<br>    |
| 180|[0x800095a8]<br>0xFFFFFFF1FFFFFFF9|- rs1_val == -8589934593<br>                                                                                                                                                                        |[0x80001614]:mul a2, a0, a1<br> [0x80001618]:sd a2, 1280(ra)<br>    |
| 181|[0x800095b0]<br>0x0200000400800001|- rs1_val == -17179869185<br>                                                                                                                                                                       |[0x80001630]:mul a2, a0, a1<br> [0x80001634]:sd a2, 1288(ra)<br>    |
| 182|[0x800095b8]<br>0x0000000000000000|- rs1_val == -68719476737<br>                                                                                                                                                                       |[0x80001648]:mul a2, a0, a1<br> [0x8000164c]:sd a2, 1296(ra)<br>    |
| 183|[0x800095c0]<br>0x8000004002000001|- rs1_val == -274877906945<br>                                                                                                                                                                      |[0x80001664]:mul a2, a0, a1<br> [0x80001668]:sd a2, 1304(ra)<br>    |
| 184|[0x800095c8]<br>0xFFFFFFFFFE000000|- rs1_val == -1099511627777<br>                                                                                                                                                                     |[0x8000167c]:mul a2, a0, a1<br> [0x80001680]:sd a2, 1312(ra)<br>    |
| 185|[0x800095d0]<br>0x7FFFFFFFFFF00000|- rs1_val == -8796093022209<br>                                                                                                                                                                     |[0x80001694]:mul a2, a0, a1<br> [0x80001698]:sd a2, 1320(ra)<br>    |
| 186|[0x800095d8]<br>0xFFEFFFFFFFFFFF00|- rs1_val == -17592186044417<br>                                                                                                                                                                    |[0x800016ac]:mul a2, a0, a1<br> [0x800016b0]:sd a2, 1328(ra)<br>    |
| 187|[0x800095e0]<br>0xFFFF000000000000|- rs1_val == -140737488355329<br>                                                                                                                                                                   |[0x800016c8]:mul a2, a0, a1<br> [0x800016cc]:sd a2, 1336(ra)<br>    |
| 188|[0x800095e8]<br>0xEFFFFFFFFFFFFE00|- rs1_val == -2251799813685249<br>                                                                                                                                                                  |[0x800016e0]:mul a2, a0, a1<br> [0x800016e4]:sd a2, 1344(ra)<br>    |
| 189|[0x800095f0]<br>0x0810000000000001|- rs1_val == -4503599627370497<br>                                                                                                                                                                  |[0x80001700]:mul a2, a0, a1<br> [0x80001704]:sd a2, 1352(ra)<br>    |
| 190|[0x800095f8]<br>0xFFFFFFFFFFFFF800|- rs1_val == -9007199254740993<br>                                                                                                                                                                  |[0x8000171c]:mul a2, a0, a1<br> [0x80001720]:sd a2, 1360(ra)<br>    |
| 191|[0x80009600]<br>0xFFFFF80000000000|- rs1_val == -36028797018963969<br>                                                                                                                                                                 |[0x80001738]:mul a2, a0, a1<br> [0x8000173c]:sd a2, 1368(ra)<br>    |
| 192|[0x80009608]<br>0x0100000100000001|- rs1_val == -72057594037927937<br>                                                                                                                                                                 |[0x80001758]:mul a2, a0, a1<br> [0x8000175c]:sd a2, 1376(ra)<br>    |
| 193|[0x80009610]<br>0x0155555555555556|- rs1_val == -144115188075855873<br>                                                                                                                                                                |[0x8000178c]:mul a2, a0, a1<br> [0x80001790]:sd a2, 1384(ra)<br>    |
| 194|[0x80009618]<br>0xE000000000000000|- rs1_val == -576460752303423489<br>                                                                                                                                                                |[0x800017a8]:mul a2, a0, a1<br> [0x800017ac]:sd a2, 1392(ra)<br>    |
| 195|[0x80009620]<br>0x800000000000000A|- rs1_val == -4611686018427387905<br>                                                                                                                                                               |[0x800017c0]:mul a2, a0, a1<br> [0x800017c4]:sd a2, 1400(ra)<br>    |
| 196|[0x80009628]<br>0x0000000000000009|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                                     |[0x800017d0]:mul a2, a0, a1<br> [0x800017d4]:sd a2, 1408(ra)<br>    |
| 197|[0x80009630]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                                   |[0x800017fc]:mul a2, a0, a1<br> [0x80001800]:sd a2, 1416(ra)<br>    |
| 198|[0x80009638]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==3 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80001828]:mul a2, a0, a1<br> [0x8000182c]:sd a2, 1424(ra)<br>    |
| 199|[0x80009640]<br>0x000000000000000F|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                                     |[0x80001838]:mul a2, a0, a1<br> [0x8000183c]:sd a2, 1432(ra)<br>    |
| 200|[0x80009648]<br>0x9999999999999999|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x80001864]:mul a2, a0, a1<br> [0x80001868]:sd a2, 1440(ra)<br>    |
| 201|[0x80009650]<br>0x3333333333333332|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x80001890]:mul a2, a0, a1<br> [0x80001894]:sd a2, 1448(ra)<br>    |
| 202|[0x80009658]<br>0xFFFFFFFDE0F12667|- rs1_val==3 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x800018ac]:mul a2, a0, a1<br> [0x800018b0]:sd a2, 1456(ra)<br>    |
| 203|[0x80009660]<br>0x000000021F0ED999|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                                            |[0x800018c8]:mul a2, a0, a1<br> [0x800018cc]:sd a2, 1464(ra)<br>    |
| 204|[0x80009668]<br>0x0000000000000006|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                                     |[0x800018d8]:mul a2, a0, a1<br> [0x800018dc]:sd a2, 1472(ra)<br>    |
| 205|[0x80009670]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x80001904]:mul a2, a0, a1<br> [0x80001908]:sd a2, 1480(ra)<br>    |
| 206|[0x80009678]<br>0x0000000000000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                                     |[0x80001914]:mul a2, a0, a1<br> [0x80001918]:sd a2, 1488(ra)<br>    |
| 207|[0x80009680]<br>0x000000000000000C|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                                     |[0x80001924]:mul a2, a0, a1<br> [0x80001928]:sd a2, 1496(ra)<br>    |
| 208|[0x80009688]<br>0x9999999999999996|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x80001950]:mul a2, a0, a1<br> [0x80001954]:sd a2, 1504(ra)<br>    |
| 209|[0x80009690]<br>0x333333333333332F|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x8000197c]:mul a2, a0, a1<br> [0x80001980]:sd a2, 1512(ra)<br>    |
| 210|[0x80009698]<br>0x000000021F0ED996|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                                            |[0x80001998]:mul a2, a0, a1<br> [0x8000199c]:sd a2, 1520(ra)<br>    |
| 211|[0x800096a0]<br>0x0000000000000002|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x800019c4]:mul a2, a0, a1<br> [0x800019c8]:sd a2, 1528(ra)<br>    |
| 212|[0x800096a8]<br>0x0000000000000001|- rs1_val==3 and rs2_val==-6148914691236517205<br>                                                                                                                                                  |[0x800019f0]:mul a2, a0, a1<br> [0x800019f4]:sd a2, 1536(ra)<br>    |
| 213|[0x800096b0]<br>0x0000000000000012|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                                     |[0x80001a00]:mul a2, a0, a1<br> [0x80001a04]:sd a2, 1544(ra)<br>    |
| 214|[0x800096b8]<br>0x999999999999999C|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x80001a2c]:mul a2, a0, a1<br> [0x80001a30]:sd a2, 1552(ra)<br>    |
| 215|[0x800096c0]<br>0x3333333333333335|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x80001a58]:mul a2, a0, a1<br> [0x80001a5c]:sd a2, 1560(ra)<br>    |
| 216|[0x800096c8]<br>0xFFFFFFFDE0F1266A|- rs1_val==3 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x80001a74]:mul a2, a0, a1<br> [0x80001a78]:sd a2, 1568(ra)<br>    |
| 217|[0x800096d0]<br>0x000000021F0ED99C|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                                            |[0x80001a90]:mul a2, a0, a1<br> [0x80001a94]:sd a2, 1576(ra)<br>    |
| 218|[0x800096d8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                                   |[0x80001abc]:mul a2, a0, a1<br> [0x80001ac0]:sd a2, 1584(ra)<br>    |
| 219|[0x800096e0]<br>0x8E38E38E38E38E39|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80001b04]:mul a2, a0, a1<br> [0x80001b08]:sd a2, 1592(ra)<br>    |
| 220|[0x800096e8]<br>0x1C71C71C71C71C72|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80001b4c]:mul a2, a0, a1<br> [0x80001b50]:sd a2, 1600(ra)<br>    |
| 221|[0x800096f0]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                                   |[0x80001b78]:mul a2, a0, a1<br> [0x80001b7c]:sd a2, 1608(ra)<br>    |
| 222|[0x800096f8]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80001bc0]:mul a2, a0, a1<br> [0x80001bc4]:sd a2, 1616(ra)<br>    |
| 223|[0x80009700]<br>0xDDDDDDDDDDDDDDDE|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80001c08]:mul a2, a0, a1<br> [0x80001c0c]:sd a2, 1624(ra)<br>    |
| 224|[0x80009708]<br>0x5555555591AC5111|- rs1_val==6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80001c40]:mul a2, a0, a1<br> [0x80001c44]:sd a2, 1632(ra)<br>    |
| 225|[0x80009710]<br>0xAAAAAAAA6E53AEEF|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                          |[0x80001c78]:mul a2, a0, a1<br> [0x80001c7c]:sd a2, 1640(ra)<br>    |
| 226|[0x80009718]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                                   |[0x80001ca4]:mul a2, a0, a1<br> [0x80001ca8]:sd a2, 1648(ra)<br>    |
| 227|[0x80009720]<br>0x38E38E38E38E38E4|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80001cec]:mul a2, a0, a1<br> [0x80001cf0]:sd a2, 1656(ra)<br>    |
| 228|[0x80009728]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                                   |[0x80001d18]:mul a2, a0, a1<br> [0x80001d1c]:sd a2, 1664(ra)<br>    |
| 229|[0x80009730]<br>0x5555555555555554|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                                   |[0x80001d44]:mul a2, a0, a1<br> [0x80001d48]:sd a2, 1672(ra)<br>    |
| 230|[0x80009738]<br>0x999999999999999A|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80001d8c]:mul a2, a0, a1<br> [0x80001d90]:sd a2, 1680(ra)<br>    |
| 231|[0x80009740]<br>0x8888888888888889|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x80001dd4]:mul a2, a0, a1<br> [0x80001dd8]:sd a2, 1688(ra)<br>    |
| 232|[0x80009748]<br>0x5555555518FE599A|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                          |[0x80001e0c]:mul a2, a0, a1<br> [0x80001e10]:sd a2, 1696(ra)<br>    |
| 233|[0x80009750]<br>0xE38E38E38E38E38E|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x80001e54]:mul a2, a0, a1<br> [0x80001e58]:sd a2, 1704(ra)<br>    |
| 234|[0x80009758]<br>0x71C71C71C71C71C7|- rs1_val==6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x80001e9c]:mul a2, a0, a1<br> [0x80001ea0]:sd a2, 1712(ra)<br>    |
| 235|[0x80009760]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                                   |[0x80001ec8]:mul a2, a0, a1<br> [0x80001ecc]:sd a2, 1720(ra)<br>    |
| 236|[0x80009768]<br>0x4444444444444444|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80001f10]:mul a2, a0, a1<br> [0x80001f14]:sd a2, 1728(ra)<br>    |
| 237|[0x80009770]<br>0x3333333333333333|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80001f58]:mul a2, a0, a1<br> [0x80001f5c]:sd a2, 1736(ra)<br>    |
| 238|[0x80009778]<br>0xAAAAAAAAE701A666|- rs1_val==6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80001f90]:mul a2, a0, a1<br> [0x80001f94]:sd a2, 1744(ra)<br>    |
| 239|[0x80009780]<br>0xFFFFFFFFC3A90444|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                          |[0x80001fc8]:mul a2, a0, a1<br> [0x80001fcc]:sd a2, 1752(ra)<br>    |
| 240|[0x80009788]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                                  |[0x80001ff4]:mul a2, a0, a1<br> [0x80001ff8]:sd a2, 1760(ra)<br>    |
| 241|[0x80009790]<br>0x1C71C71C71C71C72|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x8000203c]:mul a2, a0, a1<br> [0x80002040]:sd a2, 1768(ra)<br>    |
| 242|[0x80009798]<br>0x38E38E38E38E38E4|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x80002084]:mul a2, a0, a1<br> [0x80002088]:sd a2, 1776(ra)<br>    |
| 243|[0x800097a0]<br>0x5555555555555552|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                                  |[0x800020b0]:mul a2, a0, a1<br> [0x800020b4]:sd a2, 1784(ra)<br>    |
| 244|[0x800097a8]<br>0xDDDDDDDDDDDDDDDE|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x800020f8]:mul a2, a0, a1<br> [0x800020fc]:sd a2, 1792(ra)<br>    |
| 245|[0x800097b0]<br>0xBBBBBBBBBBBBBBBC|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x80002140]:mul a2, a0, a1<br> [0x80002144]:sd a2, 1800(ra)<br>    |
| 246|[0x800097b8]<br>0xAAAAAAAB2358A222|- rs1_val==-6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                        |[0x80002178]:mul a2, a0, a1<br> [0x8000217c]:sd a2, 1808(ra)<br>    |
| 247|[0x800097c0]<br>0x55555554DCA75DDE|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                         |[0x800021b0]:mul a2, a0, a1<br> [0x800021b4]:sd a2, 1816(ra)<br>    |
| 248|[0x800097c8]<br>0x5555555555555554|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                                  |[0x800021dc]:mul a2, a0, a1<br> [0x800021e0]:sd a2, 1824(ra)<br>    |
| 249|[0x800097d0]<br>0x71C71C71C71C71C8|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x80002224]:mul a2, a0, a1<br> [0x80002228]:sd a2, 1832(ra)<br>    |
| 250|[0x800097d8]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                                  |[0x80002250]:mul a2, a0, a1<br> [0x80002254]:sd a2, 1840(ra)<br>    |
| 251|[0x800097e0]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                                  |[0x8000227c]:mul a2, a0, a1<br> [0x80002280]:sd a2, 1848(ra)<br>    |
| 252|[0x800097e8]<br>0x3333333333333334|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x800022c4]:mul a2, a0, a1<br> [0x800022c8]:sd a2, 1856(ra)<br>    |
| 253|[0x800097f0]<br>0x1111111111111112|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x8000230c]:mul a2, a0, a1<br> [0x80002310]:sd a2, 1864(ra)<br>    |
| 254|[0x800097f8]<br>0xAAAAAAAA31FCB334|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                         |[0x80002344]:mul a2, a0, a1<br> [0x80002348]:sd a2, 1872(ra)<br>    |
| 255|[0x80009800]<br>0xC71C71C71C71C71C|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x8000238c]:mul a2, a0, a1<br> [0x80002390]:sd a2, 1880(ra)<br>    |
| 256|[0x80009808]<br>0xE38E38E38E38E38E|- rs1_val==-6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x800023d4]:mul a2, a0, a1<br> [0x800023d8]:sd a2, 1888(ra)<br>    |
| 257|[0x80009810]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                                  |[0x80002400]:mul a2, a0, a1<br> [0x80002404]:sd a2, 1896(ra)<br>    |
| 258|[0x80009818]<br>0x8888888888888888|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x80002448]:mul a2, a0, a1<br> [0x8000244c]:sd a2, 1904(ra)<br>    |
| 259|[0x80009820]<br>0x6666666666666666|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80002490]:mul a2, a0, a1<br> [0x80002494]:sd a2, 1912(ra)<br>    |
| 260|[0x80009828]<br>0x55555555CE034CCC|- rs1_val==-6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                        |[0x800024c8]:mul a2, a0, a1<br> [0x800024cc]:sd a2, 1920(ra)<br>    |
| 261|[0x80009830]<br>0xFFFFFFFF87520888|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                         |[0x80002500]:mul a2, a0, a1<br> [0x80002504]:sd a2, 1928(ra)<br>    |
| 262|[0x80009838]<br>0x000000000000000F|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                                     |[0x80002510]:mul a2, a0, a1<br> [0x80002514]:sd a2, 1936(ra)<br>    |
| 263|[0x80009840]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                                   |[0x8000253c]:mul a2, a0, a1<br> [0x80002540]:sd a2, 1944(ra)<br>    |
| 264|[0x80009848]<br>0x5555555555555552|- rs1_val==5 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80002568]:mul a2, a0, a1<br> [0x8000256c]:sd a2, 1952(ra)<br>    |
| 265|[0x80009850]<br>0x0000000000000019|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                                     |[0x80002578]:mul a2, a0, a1<br> [0x8000257c]:sd a2, 1960(ra)<br>    |
| 266|[0x80009858]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x800025a4]:mul a2, a0, a1<br> [0x800025a8]:sd a2, 1968(ra)<br>    |
| 267|[0x80009860]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x800025d0]:mul a2, a0, a1<br> [0x800025d4]:sd a2, 1976(ra)<br>    |
| 268|[0x80009868]<br>0xFFFFFFFC76E74001|- rs1_val==5 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x800025ec]:mul a2, a0, a1<br> [0x800025f0]:sd a2, 1984(ra)<br>    |
| 269|[0x80009870]<br>0x000000038918BFFF|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                                            |[0x80002608]:mul a2, a0, a1<br> [0x8000260c]:sd a2, 1992(ra)<br>    |
| 270|[0x80009878]<br>0x000000000000000A|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                                     |[0x80002618]:mul a2, a0, a1<br> [0x8000261c]:sd a2, 2000(ra)<br>    |
| 271|[0x80009880]<br>0xAAAAAAAAAAAAAAA4|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x80002644]:mul a2, a0, a1<br> [0x80002648]:sd a2, 2008(ra)<br>    |
| 272|[0x80009888]<br>0x0000000000000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                                     |[0x80002654]:mul a2, a0, a1<br> [0x80002658]:sd a2, 2016(ra)<br>    |
| 273|[0x80009890]<br>0x0000000000000014|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                                     |[0x80002664]:mul a2, a0, a1<br> [0x80002668]:sd a2, 2024(ra)<br>    |
| 274|[0x80009898]<br>0xFFFFFFFFFFFFFFFA|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x80002690]:mul a2, a0, a1<br> [0x80002694]:sd a2, 2032(ra)<br>    |
| 275|[0x800098a0]<br>0xFFFFFFFFFFFFFFF9|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x800026bc]:mul a2, a0, a1<br> [0x800026c0]:sd a2, 2040(ra)<br>    |
| 276|[0x800098a8]<br>0x000000038918BFFA|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                                            |[0x800026e0]:mul a2, a0, a1<br> [0x800026e4]:sd a2, 0(ra)<br>       |
| 277|[0x800098b0]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x8000270c]:mul a2, a0, a1<br> [0x80002710]:sd a2, 8(ra)<br>       |
| 278|[0x800098b8]<br>0x5555555555555557|- rs1_val==5 and rs2_val==-6148914691236517205<br>                                                                                                                                                  |[0x80002738]:mul a2, a0, a1<br> [0x8000273c]:sd a2, 16(ra)<br>      |
| 279|[0x800098c0]<br>0x000000000000001E|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                                     |[0x80002748]:mul a2, a0, a1<br> [0x8000274c]:sd a2, 24(ra)<br>      |
| 280|[0x800098c8]<br>0x0000000000000004|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x80002774]:mul a2, a0, a1<br> [0x80002778]:sd a2, 32(ra)<br>      |
| 281|[0x800098d0]<br>0x0000000000000003|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x800027a0]:mul a2, a0, a1<br> [0x800027a4]:sd a2, 40(ra)<br>      |
| 282|[0x800098d8]<br>0xFFFFFFFC76E74006|- rs1_val==5 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x800027bc]:mul a2, a0, a1<br> [0x800027c0]:sd a2, 48(ra)<br>      |
| 283|[0x800098e0]<br>0x000000038918C004|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                                            |[0x800027d8]:mul a2, a0, a1<br> [0x800027dc]:sd a2, 56(ra)<br>      |
| 284|[0x800098e8]<br>0x9999999999999999|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                                   |[0x80002804]:mul a2, a0, a1<br> [0x80002808]:sd a2, 64(ra)<br>      |
| 285|[0x800098f0]<br>0xEEEEEEEEEEEEEEEF|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x8000284c]:mul a2, a0, a1<br> [0x80002850]:sd a2, 72(ra)<br>      |
| 286|[0x800098f8]<br>0xDDDDDDDDDDDDDDDE|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80002894]:mul a2, a0, a1<br> [0x80002898]:sd a2, 80(ra)<br>      |
| 287|[0x80009900]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                                   |[0x800028c0]:mul a2, a0, a1<br> [0x800028c4]:sd a2, 88(ra)<br>      |
| 288|[0x80009908]<br>0x8F5C28F5C28F5C29|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80002908]:mul a2, a0, a1<br> [0x8000290c]:sd a2, 96(ra)<br>      |
| 289|[0x80009910]<br>0x1EB851EB851EB852|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80002950]:mul a2, a0, a1<br> [0x80002954]:sd a2, 104(ra)<br>     |
| 290|[0x80009918]<br>0x33333333576763D7|- rs1_val==3689348814741910323 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80002988]:mul a2, a0, a1<br> [0x8000298c]:sd a2, 112(ra)<br>     |
| 291|[0x80009920]<br>0xCCCCCCCCA8989C29|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                                          |[0x800029c0]:mul a2, a0, a1<br> [0x800029c4]:sd a2, 120(ra)<br>     |
| 292|[0x80009928]<br>0x6666666666666666|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                                   |[0x800029ec]:mul a2, a0, a1<br> [0x800029f0]:sd a2, 128(ra)<br>     |
| 293|[0x80009930]<br>0xBBBBBBBBBBBBBBBC|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80002a34]:mul a2, a0, a1<br> [0x80002a38]:sd a2, 136(ra)<br>     |
| 294|[0x80009938]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                                   |[0x80002a60]:mul a2, a0, a1<br> [0x80002a64]:sd a2, 144(ra)<br>     |
| 295|[0x80009940]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                                   |[0x80002a8c]:mul a2, a0, a1<br> [0x80002a90]:sd a2, 152(ra)<br>     |
| 296|[0x80009948]<br>0x5C28F5C28F5C28F6|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80002ad4]:mul a2, a0, a1<br> [0x80002ad8]:sd a2, 160(ra)<br>     |
| 297|[0x80009950]<br>0xEB851EB851EB851F|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x80002b1c]:mul a2, a0, a1<br> [0x80002b20]:sd a2, 168(ra)<br>     |
| 298|[0x80009958]<br>0x99999999756568F6|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                                          |[0x80002b54]:mul a2, a0, a1<br> [0x80002b58]:sd a2, 176(ra)<br>     |
| 299|[0x80009960]<br>0x2222222222222222|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x80002b9c]:mul a2, a0, a1<br> [0x80002ba0]:sd a2, 184(ra)<br>     |
| 300|[0x80009968]<br>0x1111111111111111|- rs1_val==3689348814741910323 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x80002be4]:mul a2, a0, a1<br> [0x80002be8]:sd a2, 192(ra)<br>     |
| 301|[0x80009970]<br>0x3333333333333332|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                                   |[0x80002c10]:mul a2, a0, a1<br> [0x80002c14]:sd a2, 200(ra)<br>     |
| 302|[0x80009978]<br>0xC28F5C28F5C28F5C|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80002c58]:mul a2, a0, a1<br> [0x80002c5c]:sd a2, 208(ra)<br>     |
| 303|[0x80009980]<br>0x51EB851EB851EB85|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80002ca0]:mul a2, a0, a1<br> [0x80002ca4]:sd a2, 216(ra)<br>     |
| 304|[0x80009988]<br>0x666666668A9A970A|- rs1_val==3689348814741910323 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80002cd8]:mul a2, a0, a1<br> [0x80002cdc]:sd a2, 224(ra)<br>     |
| 305|[0x80009990]<br>0xFFFFFFFFDBCBCF5C|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                                          |[0x80002d10]:mul a2, a0, a1<br> [0x80002d14]:sd a2, 232(ra)<br>     |
| 306|[0x80009998]<br>0x3333333333333332|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                                   |[0x80002d3c]:mul a2, a0, a1<br> [0x80002d40]:sd a2, 240(ra)<br>     |
| 307|[0x800099a0]<br>0xDDDDDDDDDDDDDDDE|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80002d84]:mul a2, a0, a1<br> [0x80002d88]:sd a2, 248(ra)<br>     |
| 308|[0x800099a8]<br>0xBBBBBBBBBBBBBBBC|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80002dcc]:mul a2, a0, a1<br> [0x80002dd0]:sd a2, 256(ra)<br>     |
| 309|[0x800099b0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                                   |[0x80002df8]:mul a2, a0, a1<br> [0x80002dfc]:sd a2, 264(ra)<br>     |
| 310|[0x800099b8]<br>0x1EB851EB851EB852|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80002e40]:mul a2, a0, a1<br> [0x80002e44]:sd a2, 272(ra)<br>     |
| 311|[0x800099c8]<br>0x66666666AECEC7AE|- rs1_val==7378697629483820646 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80002ec0]:mul a2, a0, a1<br> [0x80002ec4]:sd a2, 288(ra)<br>     |
| 312|[0x800099d0]<br>0x9999999951313852|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                                          |[0x80002ef8]:mul a2, a0, a1<br> [0x80002efc]:sd a2, 296(ra)<br>     |
| 313|[0x800099d8]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                                   |[0x80002f24]:mul a2, a0, a1<br> [0x80002f28]:sd a2, 304(ra)<br>     |
| 314|[0x800099e0]<br>0x7777777777777778|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80002f6c]:mul a2, a0, a1<br> [0x80002f70]:sd a2, 312(ra)<br>     |
| 315|[0x800099e8]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                                   |[0x80002f98]:mul a2, a0, a1<br> [0x80002f9c]:sd a2, 320(ra)<br>     |
| 316|[0x800099f0]<br>0x9999999999999998|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                                   |[0x80002fc4]:mul a2, a0, a1<br> [0x80002fc8]:sd a2, 328(ra)<br>     |
| 317|[0x800099f8]<br>0xB851EB851EB851EC|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x8000300c]:mul a2, a0, a1<br> [0x80003010]:sd a2, 336(ra)<br>     |
| 318|[0x80009a00]<br>0xD70A3D70A3D70A3E|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x80003054]:mul a2, a0, a1<br> [0x80003058]:sd a2, 344(ra)<br>     |
| 319|[0x80009a08]<br>0x33333332EACAD1EC|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                                          |[0x8000308c]:mul a2, a0, a1<br> [0x80003090]:sd a2, 352(ra)<br>     |
| 320|[0x80009a10]<br>0x4444444444444444|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x800030d4]:mul a2, a0, a1<br> [0x800030d8]:sd a2, 360(ra)<br>     |
| 321|[0x80009a18]<br>0x2222222222222222|- rs1_val==7378697629483820646 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x8000311c]:mul a2, a0, a1<br> [0x80003120]:sd a2, 368(ra)<br>     |
| 322|[0x80009a20]<br>0x6666666666666664|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                                   |[0x80003148]:mul a2, a0, a1<br> [0x8000314c]:sd a2, 376(ra)<br>     |
| 323|[0x80009a28]<br>0x851EB851EB851EB8|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80003190]:mul a2, a0, a1<br> [0x80003194]:sd a2, 384(ra)<br>     |
| 324|[0x80009a30]<br>0xA3D70A3D70A3D70A|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x800031d8]:mul a2, a0, a1<br> [0x800031dc]:sd a2, 392(ra)<br>     |
| 325|[0x80009a38]<br>0xCCCCCCCD15352E14|- rs1_val==7378697629483820646 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80003210]:mul a2, a0, a1<br> [0x80003214]:sd a2, 400(ra)<br>     |
| 326|[0x80009a40]<br>0xFFFFFFFFB7979EB8|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                                          |[0x80003248]:mul a2, a0, a1<br> [0x8000324c]:sd a2, 408(ra)<br>     |
| 327|[0x80009a48]<br>0xFFFFFFFDE0F12667|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                                           |[0x80003264]:mul a2, a0, a1<br> [0x80003268]:sd a2, 416(ra)<br>     |
| 328|[0x80009a50]<br>0x5555555591AC5111|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                         |[0x8000329c]:mul a2, a0, a1<br> [0x800032a0]:sd a2, 424(ra)<br>     |
| 329|[0x80009a58]<br>0xAAAAAAAB2358A222|- rs1_val==-3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                        |[0x800032d4]:mul a2, a0, a1<br> [0x800032d8]:sd a2, 432(ra)<br>     |
| 330|[0x80009a60]<br>0xFFFFFFFC76E74001|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                                           |[0x800032f0]:mul a2, a0, a1<br> [0x800032f4]:sd a2, 440(ra)<br>     |
| 331|[0x80009a68]<br>0x33333333576763D7|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                         |[0x80003328]:mul a2, a0, a1<br> [0x8000332c]:sd a2, 448(ra)<br>     |
| 332|[0x80009a70]<br>0x66666666AECEC7AE|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                         |[0x80003360]:mul a2, a0, a1<br> [0x80003364]:sd a2, 456(ra)<br>     |
| 333|[0x80009a78]<br>0x7FFFFFFE9EA1DC29|- rs1_val==-3037000499 and rs2_val==-3037000499<br>                                                                                                                                                 |[0x80003388]:mul a2, a0, a1<br> [0x8000338c]:sd a2, 464(ra)<br>     |
| 334|[0x80009a80]<br>0x80000001615E23D7|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                                  |[0x800033b0]:mul a2, a0, a1<br> [0x800033b4]:sd a2, 472(ra)<br>     |
| 335|[0x80009a88]<br>0xFFFFFFFE95F6199A|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                                           |[0x800033cc]:mul a2, a0, a1<br> [0x800033d0]:sd a2, 480(ra)<br>     |
| 336|[0x80009a90]<br>0x5555555646B14444|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                         |[0x80003404]:mul a2, a0, a1<br> [0x80003408]:sd a2, 488(ra)<br>     |
| 337|[0x80009a98]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                                           |[0x80003420]:mul a2, a0, a1<br> [0x80003424]:sd a2, 496(ra)<br>     |
| 338|[0x80009aa0]<br>0xFFFFFFFD2BEC3334|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                                           |[0x8000343c]:mul a2, a0, a1<br> [0x80003440]:sd a2, 504(ra)<br>     |
| 339|[0x80009aa8]<br>0x333333340C6C570A|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                         |[0x80003474]:mul a2, a0, a1<br> [0x80003478]:sd a2, 512(ra)<br>     |
| 340|[0x80009ab0]<br>0x6666666763D3BAE1|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                         |[0x800034ac]:mul a2, a0, a1<br> [0x800034b0]:sd a2, 520(ra)<br>     |
| 341|[0x80009ab8]<br>0x800000021663170A|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                                  |[0x800034d4]:mul a2, a0, a1<br> [0x800034d8]:sd a2, 528(ra)<br>     |
| 342|[0x80009ac0]<br>0x55555554DCA75DDE|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                         |[0x8000350c]:mul a2, a0, a1<br> [0x80003510]:sd a2, 536(ra)<br>     |
| 343|[0x80009ac8]<br>0xAAAAAAAA6E53AEEF|- rs1_val==-3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                        |[0x80003544]:mul a2, a0, a1<br> [0x80003548]:sd a2, 544(ra)<br>     |
| 344|[0x80009ad0]<br>0xFFFFFFFBC1E24CCE|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                                           |[0x80003560]:mul a2, a0, a1<br> [0x80003564]:sd a2, 552(ra)<br>     |
| 345|[0x80009ad8]<br>0x33333332A26270A4|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                         |[0x80003598]:mul a2, a0, a1<br> [0x8000359c]:sd a2, 560(ra)<br>     |
| 346|[0x80009ae0]<br>0x66666665F9C9D47B|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                         |[0x800035d0]:mul a2, a0, a1<br> [0x800035d4]:sd a2, 568(ra)<br>     |
| 347|[0x80009ae8]<br>0x7FFFFFFDE99CE8F6|- rs1_val==-3037000499 and rs2_val==-3037000498<br>                                                                                                                                                 |[0x800035f8]:mul a2, a0, a1<br> [0x800035fc]:sd a2, 576(ra)<br>     |
| 348|[0x80009af0]<br>0x80000000AC5930A4|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                                  |[0x80003620]:mul a2, a0, a1<br> [0x80003624]:sd a2, 584(ra)<br>     |
| 349|[0x80009af8]<br>0x000000021F0ED999|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                                            |[0x8000363c]:mul a2, a0, a1<br> [0x80003640]:sd a2, 592(ra)<br>     |
| 350|[0x80009b00]<br>0xAAAAAAAA6E53AEEF|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                          |[0x80003674]:mul a2, a0, a1<br> [0x80003678]:sd a2, 600(ra)<br>     |
| 351|[0x80009b08]<br>0x55555554DCA75DDE|- rs1_val==3037000499 and rs2_val==-6148914691236517206<br>                                                                                                                                         |[0x800036ac]:mul a2, a0, a1<br> [0x800036b0]:sd a2, 608(ra)<br>     |
| 352|[0x80009b10]<br>0x000000038918BFFF|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                                            |[0x800036c8]:mul a2, a0, a1<br> [0x800036cc]:sd a2, 616(ra)<br>     |
| 353|[0x80009b18]<br>0xCCCCCCCCA8989C29|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                          |[0x80003700]:mul a2, a0, a1<br> [0x80003704]:sd a2, 624(ra)<br>     |
| 354|[0x80009b20]<br>0x9999999951313852|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                          |[0x80003738]:mul a2, a0, a1<br> [0x8000373c]:sd a2, 632(ra)<br>     |
| 355|[0x80009b28]<br>0x80000001615E23D7|- rs1_val==3037000499 and rs2_val==-3037000499<br>                                                                                                                                                  |[0x80003760]:mul a2, a0, a1<br> [0x80003764]:sd a2, 640(ra)<br>     |
| 356|[0x80009b30]<br>0x7FFFFFFE9EA1DC29|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                                   |[0x80003788]:mul a2, a0, a1<br> [0x8000378c]:sd a2, 648(ra)<br>     |
| 357|[0x80009b38]<br>0x000000016A09E666|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                                            |[0x800037a4]:mul a2, a0, a1<br> [0x800037a8]:sd a2, 656(ra)<br>     |
| 358|[0x80009b40]<br>0xAAAAAAA9B94EBBBC|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                          |[0x800037dc]:mul a2, a0, a1<br> [0x800037e0]:sd a2, 664(ra)<br>     |
| 359|[0x80009b48]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                                            |[0x800037f8]:mul a2, a0, a1<br> [0x800037fc]:sd a2, 672(ra)<br>     |
| 360|[0x80009b50]<br>0x00000002D413CCCC|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                                            |[0x80003814]:mul a2, a0, a1<br> [0x80003818]:sd a2, 680(ra)<br>     |
| 361|[0x80009b58]<br>0xCCCCCCCBF393A8F6|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                          |[0x8000384c]:mul a2, a0, a1<br> [0x80003850]:sd a2, 688(ra)<br>     |
| 362|[0x80009b60]<br>0x999999989C2C451F|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                          |[0x80003884]:mul a2, a0, a1<br> [0x80003888]:sd a2, 696(ra)<br>     |
| 363|[0x80009b68]<br>0x7FFFFFFDE99CE8F6|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                                   |[0x800038ac]:mul a2, a0, a1<br> [0x800038b0]:sd a2, 704(ra)<br>     |
| 364|[0x80009b70]<br>0xAAAAAAAB2358A222|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                          |[0x800038e4]:mul a2, a0, a1<br> [0x800038e8]:sd a2, 712(ra)<br>     |
| 365|[0x80009b78]<br>0x5555555591AC5111|- rs1_val==3037000499 and rs2_val==-6148914691236517205<br>                                                                                                                                         |[0x8000391c]:mul a2, a0, a1<br> [0x80003920]:sd a2, 720(ra)<br>     |
| 366|[0x80009b80]<br>0x000000043E1DB332|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                                            |[0x80003938]:mul a2, a0, a1<br> [0x8000393c]:sd a2, 728(ra)<br>     |
| 367|[0x80009b88]<br>0xCCCCCCCD5D9D8F5C|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                          |[0x80003970]:mul a2, a0, a1<br> [0x80003974]:sd a2, 736(ra)<br>     |
| 368|[0x80009b90]<br>0x9999999A06362B85|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                          |[0x800039a8]:mul a2, a0, a1<br> [0x800039ac]:sd a2, 744(ra)<br>     |
| 369|[0x80009b98]<br>0x800000021663170A|- rs1_val==3037000499 and rs2_val==-3037000498<br>                                                                                                                                                  |[0x800039d0]:mul a2, a0, a1<br> [0x800039d4]:sd a2, 752(ra)<br>     |
| 370|[0x80009ba0]<br>0x7FFFFFFF53A6CF5C|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                                   |[0x800039f8]:mul a2, a0, a1<br> [0x800039fc]:sd a2, 760(ra)<br>     |
| 371|[0x80009ba8]<br>0x0000000000000006|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                                     |[0x80003a08]:mul a2, a0, a1<br> [0x80003a0c]:sd a2, 768(ra)<br>     |
| 372|[0x80009bb0]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                                   |[0x80003a34]:mul a2, a0, a1<br> [0x80003a38]:sd a2, 776(ra)<br>     |
| 373|[0x80009bb8]<br>0x5555555555555554|- rs1_val==2 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80003a60]:mul a2, a0, a1<br> [0x80003a64]:sd a2, 784(ra)<br>     |
| 374|[0x80009bc0]<br>0x000000000000000A|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                                     |[0x80003a70]:mul a2, a0, a1<br> [0x80003a74]:sd a2, 792(ra)<br>     |
| 375|[0x80009bc8]<br>0x6666666666666666|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x80003a9c]:mul a2, a0, a1<br> [0x80003aa0]:sd a2, 800(ra)<br>     |
| 376|[0x80009bd0]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x80003ac8]:mul a2, a0, a1<br> [0x80003acc]:sd a2, 808(ra)<br>     |
| 377|[0x80009bd8]<br>0xFFFFFFFE95F6199A|- rs1_val==2 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x80003ae4]:mul a2, a0, a1<br> [0x80003ae8]:sd a2, 816(ra)<br>     |
| 378|[0x80009be0]<br>0x000000016A09E666|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                                            |[0x80003b00]:mul a2, a0, a1<br> [0x80003b04]:sd a2, 824(ra)<br>     |
| 379|[0x80009be8]<br>0x0000000000000004|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                                     |[0x80003b10]:mul a2, a0, a1<br> [0x80003b14]:sd a2, 832(ra)<br>     |
| 380|[0x80009bf0]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x80003b3c]:mul a2, a0, a1<br> [0x80003b40]:sd a2, 840(ra)<br>     |
| 381|[0x80009bf8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                                     |[0x80003b4c]:mul a2, a0, a1<br> [0x80003b50]:sd a2, 848(ra)<br>     |
| 382|[0x80009c00]<br>0x0000000000000008|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                                     |[0x80003b5c]:mul a2, a0, a1<br> [0x80003b60]:sd a2, 856(ra)<br>     |
| 383|[0x80009c08]<br>0x6666666666666664|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x80003b88]:mul a2, a0, a1<br> [0x80003b8c]:sd a2, 864(ra)<br>     |
| 384|[0x80009c10]<br>0xCCCCCCCCCCCCCCCA|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x80003bb4]:mul a2, a0, a1<br> [0x80003bb8]:sd a2, 872(ra)<br>     |
| 385|[0x80009c18]<br>0x000000016A09E664|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                                            |[0x80003bd0]:mul a2, a0, a1<br> [0x80003bd4]:sd a2, 880(ra)<br>     |
| 386|[0x80009c20]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x80003bfc]:mul a2, a0, a1<br> [0x80003c00]:sd a2, 888(ra)<br>     |
| 387|[0x80009c28]<br>0x5555555555555556|- rs1_val==2 and rs2_val==-6148914691236517205<br>                                                                                                                                                  |[0x80003c28]:mul a2, a0, a1<br> [0x80003c2c]:sd a2, 896(ra)<br>     |
| 388|[0x80009c30]<br>0x000000000000000C|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                                     |[0x80003c38]:mul a2, a0, a1<br> [0x80003c3c]:sd a2, 904(ra)<br>     |
| 389|[0x80009c38]<br>0x6666666666666668|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x80003c64]:mul a2, a0, a1<br> [0x80003c68]:sd a2, 912(ra)<br>     |
| 390|[0x80009c40]<br>0xCCCCCCCCCCCCCCCE|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x80003c90]:mul a2, a0, a1<br> [0x80003c94]:sd a2, 920(ra)<br>     |
| 391|[0x80009c48]<br>0xFFFFFFFE95F6199C|- rs1_val==2 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x80003cac]:mul a2, a0, a1<br> [0x80003cb0]:sd a2, 928(ra)<br>     |
| 392|[0x80009c50]<br>0x000000016A09E668|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                                            |[0x80003cc8]:mul a2, a0, a1<br> [0x80003ccc]:sd a2, 936(ra)<br>     |
| 393|[0x80009c58]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                                   |[0x80003cf4]:mul a2, a0, a1<br> [0x80003cf8]:sd a2, 944(ra)<br>     |
| 394|[0x80009c60]<br>0x38E38E38E38E38E4|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80003d3c]:mul a2, a0, a1<br> [0x80003d40]:sd a2, 952(ra)<br>     |
| 395|[0x80009c68]<br>0x71C71C71C71C71C8|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80003d84]:mul a2, a0, a1<br> [0x80003d88]:sd a2, 960(ra)<br>     |
| 396|[0x80009c70]<br>0xAAAAAAAAAAAAAAA4|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                                   |[0x80003db0]:mul a2, a0, a1<br> [0x80003db4]:sd a2, 968(ra)<br>     |
| 397|[0x80009c78]<br>0xBBBBBBBBBBBBBBBC|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80003df8]:mul a2, a0, a1<br> [0x80003dfc]:sd a2, 976(ra)<br>     |
| 398|[0x80009c80]<br>0x7777777777777778|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80003e40]:mul a2, a0, a1<br> [0x80003e44]:sd a2, 984(ra)<br>     |
| 399|[0x80009c88]<br>0x5555555646B14444|- rs1_val==6148914691236517204 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80003e78]:mul a2, a0, a1<br> [0x80003e7c]:sd a2, 992(ra)<br>     |
| 400|[0x80009c90]<br>0xAAAAAAA9B94EBBBC|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                                          |[0x80003eb0]:mul a2, a0, a1<br> [0x80003eb4]:sd a2, 1000(ra)<br>    |
| 401|[0x80009c98]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                                   |[0x80003edc]:mul a2, a0, a1<br> [0x80003ee0]:sd a2, 1008(ra)<br>    |
| 402|[0x80009ca0]<br>0xE38E38E38E38E390|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80003f24]:mul a2, a0, a1<br> [0x80003f28]:sd a2, 1016(ra)<br>    |
| 403|[0x80009ca8]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                                   |[0x80003f50]:mul a2, a0, a1<br> [0x80003f54]:sd a2, 1024(ra)<br>    |
| 404|[0x80009cb0]<br>0x5555555555555550|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                                   |[0x80003f7c]:mul a2, a0, a1<br> [0x80003f80]:sd a2, 1032(ra)<br>    |
| 405|[0x80009cb8]<br>0x6666666666666668|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80003fc4]:mul a2, a0, a1<br> [0x80003fc8]:sd a2, 1040(ra)<br>    |
| 406|[0x80009cc0]<br>0x2222222222222224|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x8000400c]:mul a2, a0, a1<br> [0x80004010]:sd a2, 1048(ra)<br>    |
| 407|[0x80009cc8]<br>0x5555555463F96668|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                                          |[0x80004044]:mul a2, a0, a1<br> [0x80004048]:sd a2, 1056(ra)<br>    |
| 408|[0x80009cd0]<br>0x8E38E38E38E38E38|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x8000408c]:mul a2, a0, a1<br> [0x80004090]:sd a2, 1064(ra)<br>    |
| 409|[0x80009cd8]<br>0xC71C71C71C71C71C|- rs1_val==6148914691236517204 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x800040d4]:mul a2, a0, a1<br> [0x800040d8]:sd a2, 1072(ra)<br>    |
| 410|[0x80009ce0]<br>0xFFFFFFFFFFFFFFF8|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                                   |[0x80004100]:mul a2, a0, a1<br> [0x80004104]:sd a2, 1080(ra)<br>    |
| 411|[0x80009ce8]<br>0x1111111111111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80004148]:mul a2, a0, a1<br> [0x8000414c]:sd a2, 1088(ra)<br>    |
| 412|[0x80009cf0]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80004190]:mul a2, a0, a1<br> [0x80004194]:sd a2, 1096(ra)<br>    |
| 413|[0x80009cf8]<br>0xAAAAAAAB9C069998|- rs1_val==6148914691236517204 and rs2_val==-3037000498<br>                                                                                                                                         |[0x800041c8]:mul a2, a0, a1<br> [0x800041cc]:sd a2, 1104(ra)<br>    |
| 414|[0x80009d00]<br>0xFFFFFFFF0EA41110|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                                          |[0x80004200]:mul a2, a0, a1<br> [0x80004204]:sd a2, 1112(ra)<br>    |
| 415|[0x80009d08]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                                     |[0x80004210]:mul a2, a0, a1<br> [0x80004214]:sd a2, 1120(ra)<br>    |
| 416|[0x80009d10]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                                   |[0x8000423c]:mul a2, a0, a1<br> [0x80004240]:sd a2, 1128(ra)<br>    |
| 417|[0x80009d18]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80004268]:mul a2, a0, a1<br> [0x8000426c]:sd a2, 1136(ra)<br>    |
| 418|[0x80009d20]<br>0x0000000000000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                                     |[0x80004278]:mul a2, a0, a1<br> [0x8000427c]:sd a2, 1144(ra)<br>    |
| 419|[0x80009d28]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x800042a4]:mul a2, a0, a1<br> [0x800042a8]:sd a2, 1152(ra)<br>    |
| 420|[0x80009d30]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x800042d0]:mul a2, a0, a1<br> [0x800042d4]:sd a2, 1160(ra)<br>    |
| 421|[0x80009d38]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x800042ec]:mul a2, a0, a1<br> [0x800042f0]:sd a2, 1168(ra)<br>    |
| 422|[0x80009d40]<br>0x0000000000000000|- rs1_val==0 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x80004308]:mul a2, a0, a1<br> [0x8000430c]:sd a2, 1176(ra)<br>    |
| 423|[0x80009d48]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                                            |[0x80004324]:mul a2, a0, a1<br> [0x80004328]:sd a2, 1184(ra)<br>    |
| 424|[0x80009d50]<br>0x000000000000000C|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                                     |[0x80004334]:mul a2, a0, a1<br> [0x80004338]:sd a2, 1192(ra)<br>    |
| 425|[0x80009d58]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==4 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80004360]:mul a2, a0, a1<br> [0x80004364]:sd a2, 1200(ra)<br>    |
| 426|[0x80009d60]<br>0x0000000000000014|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                                     |[0x80004370]:mul a2, a0, a1<br> [0x80004374]:sd a2, 1208(ra)<br>    |
| 427|[0x80009d68]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x8000439c]:mul a2, a0, a1<br> [0x800043a0]:sd a2, 1216(ra)<br>    |
| 428|[0x80009d70]<br>0x9999999999999998|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x800043c8]:mul a2, a0, a1<br> [0x800043cc]:sd a2, 1224(ra)<br>    |
| 429|[0x80009d78]<br>0xFFFFFFFD2BEC3334|- rs1_val==4 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x800043e4]:mul a2, a0, a1<br> [0x800043e8]:sd a2, 1232(ra)<br>    |
| 430|[0x80009d80]<br>0x00000002D413CCCC|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                                            |[0x80004400]:mul a2, a0, a1<br> [0x80004404]:sd a2, 1240(ra)<br>    |
| 431|[0x80009d88]<br>0x0000000000000008|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                                     |[0x80004410]:mul a2, a0, a1<br> [0x80004414]:sd a2, 1248(ra)<br>    |
| 432|[0x80009d90]<br>0x5555555555555550|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x8000443c]:mul a2, a0, a1<br> [0x80004440]:sd a2, 1256(ra)<br>    |
| 433|[0x80009d98]<br>0x0000000000000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                                     |[0x8000444c]:mul a2, a0, a1<br> [0x80004450]:sd a2, 1264(ra)<br>    |
| 434|[0x80009da0]<br>0x0000000000000010|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                                     |[0x8000445c]:mul a2, a0, a1<br> [0x80004460]:sd a2, 1272(ra)<br>    |
| 435|[0x80009da8]<br>0xCCCCCCCCCCCCCCC8|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x80004488]:mul a2, a0, a1<br> [0x8000448c]:sd a2, 1280(ra)<br>    |
| 436|[0x80009db0]<br>0x9999999999999994|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x800044b4]:mul a2, a0, a1<br> [0x800044b8]:sd a2, 1288(ra)<br>    |
| 437|[0x80009db8]<br>0x00000002D413CCC8|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                                            |[0x800044d0]:mul a2, a0, a1<br> [0x800044d4]:sd a2, 1296(ra)<br>    |
| 438|[0x80009dc0]<br>0x5555555555555558|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x800044fc]:mul a2, a0, a1<br> [0x80004500]:sd a2, 1304(ra)<br>    |
| 439|[0x80009dc8]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==4 and rs2_val==-6148914691236517205<br>                                                                                                                                                  |[0x80004528]:mul a2, a0, a1<br> [0x8000452c]:sd a2, 1312(ra)<br>    |
| 440|[0x80009dd0]<br>0x0000000000000018|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                                     |[0x80004538]:mul a2, a0, a1<br> [0x8000453c]:sd a2, 1320(ra)<br>    |
| 441|[0x80009dd8]<br>0xCCCCCCCCCCCCCCD0|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x80004564]:mul a2, a0, a1<br> [0x80004568]:sd a2, 1328(ra)<br>    |
| 442|[0x80009de0]<br>0x999999999999999C|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x80004590]:mul a2, a0, a1<br> [0x80004594]:sd a2, 1336(ra)<br>    |
| 443|[0x80009de8]<br>0xFFFFFFFD2BEC3338|- rs1_val==4 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x800045ac]:mul a2, a0, a1<br> [0x800045b0]:sd a2, 1344(ra)<br>    |
| 444|[0x80009df0]<br>0x00000002D413CCD0|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                                            |[0x800045c8]:mul a2, a0, a1<br> [0x800045cc]:sd a2, 1352(ra)<br>    |
| 445|[0x80009df8]<br>0x9999999999999996|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                                   |[0x800045f4]:mul a2, a0, a1<br> [0x800045f8]:sd a2, 1360(ra)<br>    |
| 446|[0x80009e00]<br>0x999999999999999A|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x8000463c]:mul a2, a0, a1<br> [0x80004640]:sd a2, 1368(ra)<br>    |
| 447|[0x80009e08]<br>0x3333333333333334|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80004684]:mul a2, a0, a1<br> [0x80004688]:sd a2, 1376(ra)<br>    |
| 448|[0x80009e10]<br>0xFFFFFFFFFFFFFFFA|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                                   |[0x800046b0]:mul a2, a0, a1<br> [0x800046b4]:sd a2, 1384(ra)<br>    |
| 449|[0x80009e18]<br>0x5C28F5C28F5C28F6|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x800046f8]:mul a2, a0, a1<br> [0x800046fc]:sd a2, 1392(ra)<br>    |
| 450|[0x80009e20]<br>0xB851EB851EB851EC|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80004740]:mul a2, a0, a1<br> [0x80004744]:sd a2, 1400(ra)<br>    |
| 451|[0x80009e28]<br>0x333333340C6C570A|- rs1_val==3689348814741910322 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80004778]:mul a2, a0, a1<br> [0x8000477c]:sd a2, 1408(ra)<br>    |
| 452|[0x80009e30]<br>0xCCCCCCCBF393A8F6|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                                          |[0x800047b0]:mul a2, a0, a1<br> [0x800047b4]:sd a2, 1416(ra)<br>    |
| 453|[0x80009e38]<br>0x6666666666666664|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                                   |[0x800047dc]:mul a2, a0, a1<br> [0x800047e0]:sd a2, 1424(ra)<br>    |
| 454|[0x80009e40]<br>0x6666666666666668|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80004824]:mul a2, a0, a1<br> [0x80004828]:sd a2, 1432(ra)<br>    |
| 455|[0x80009e48]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                                   |[0x80004850]:mul a2, a0, a1<br> [0x80004854]:sd a2, 1440(ra)<br>    |
| 456|[0x80009e50]<br>0xCCCCCCCCCCCCCCC8|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                                   |[0x8000487c]:mul a2, a0, a1<br> [0x80004880]:sd a2, 1448(ra)<br>    |
| 457|[0x80009e58]<br>0x28F5C28F5C28F5C4|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x800048c4]:mul a2, a0, a1<br> [0x800048c8]:sd a2, 1456(ra)<br>    |
| 458|[0x80009e60]<br>0x851EB851EB851EBA|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x8000490c]:mul a2, a0, a1<br> [0x80004910]:sd a2, 1464(ra)<br>    |
| 459|[0x80009e68]<br>0x99999998C06075C4|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                                          |[0x80004944]:mul a2, a0, a1<br> [0x80004948]:sd a2, 1472(ra)<br>    |
| 460|[0x80009e70]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x8000498c]:mul a2, a0, a1<br> [0x80004990]:sd a2, 1480(ra)<br>    |
| 461|[0x80009e78]<br>0x6666666666666666|- rs1_val==3689348814741910322 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x800049d4]:mul a2, a0, a1<br> [0x800049d8]:sd a2, 1488(ra)<br>    |
| 462|[0x80009e80]<br>0x333333333333332C|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                                   |[0x80004a00]:mul a2, a0, a1<br> [0x80004a04]:sd a2, 1496(ra)<br>    |
| 463|[0x80009e88]<br>0x8F5C28F5C28F5C28|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80004a48]:mul a2, a0, a1<br> [0x80004a4c]:sd a2, 1504(ra)<br>    |
| 464|[0x80009e90]<br>0xEB851EB851EB851E|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80004a90]:mul a2, a0, a1<br> [0x80004a94]:sd a2, 1512(ra)<br>    |
| 465|[0x80009e98]<br>0x666666673F9F8A3C|- rs1_val==3689348814741910322 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80004ac8]:mul a2, a0, a1<br> [0x80004acc]:sd a2, 1520(ra)<br>    |
| 466|[0x80009ea0]<br>0xFFFFFFFF26C6DC28|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                                          |[0x80004b00]:mul a2, a0, a1<br> [0x80004b04]:sd a2, 1528(ra)<br>    |
| 467|[0x80009ea8]<br>0x333333333333332F|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                                   |[0x80004b2c]:mul a2, a0, a1<br> [0x80004b30]:sd a2, 1536(ra)<br>    |
| 468|[0x80009eb0]<br>0x8888888888888889|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80004b74]:mul a2, a0, a1<br> [0x80004b78]:sd a2, 1544(ra)<br>    |
| 469|[0x80009eb8]<br>0x1111111111111112|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80004bbc]:mul a2, a0, a1<br> [0x80004bc0]:sd a2, 1552(ra)<br>    |
| 470|[0x80009ec0]<br>0xFFFFFFFFFFFFFFF9|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                                   |[0x80004be8]:mul a2, a0, a1<br> [0x80004bec]:sd a2, 1560(ra)<br>    |
| 471|[0x80009ec8]<br>0xEB851EB851EB851F|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80004c30]:mul a2, a0, a1<br> [0x80004c34]:sd a2, 1568(ra)<br>    |
| 472|[0x80009ed0]<br>0xD70A3D70A3D70A3E|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80004c78]:mul a2, a0, a1<br> [0x80004c7c]:sd a2, 1576(ra)<br>    |
| 473|[0x80009ed8]<br>0x6666666763D3BAE1|- rs1_val==7378697629483820645 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80004cb0]:mul a2, a0, a1<br> [0x80004cb4]:sd a2, 1584(ra)<br>    |
| 474|[0x80009ee0]<br>0x999999989C2C451F|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                                          |[0x80004ce8]:mul a2, a0, a1<br> [0x80004cec]:sd a2, 1592(ra)<br>    |
| 475|[0x80009ee8]<br>0xCCCCCCCCCCCCCCCA|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                                   |[0x80004d14]:mul a2, a0, a1<br> [0x80004d18]:sd a2, 1600(ra)<br>    |
| 476|[0x80009ef0]<br>0x2222222222222224|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x80004d5c]:mul a2, a0, a1<br> [0x80004d60]:sd a2, 1608(ra)<br>    |
| 477|[0x80009ef8]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                                   |[0x80004d88]:mul a2, a0, a1<br> [0x80004d8c]:sd a2, 1616(ra)<br>    |
| 478|[0x80009f00]<br>0x9999999999999994|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                                   |[0x80004db4]:mul a2, a0, a1<br> [0x80004db8]:sd a2, 1624(ra)<br>    |
| 479|[0x80009f08]<br>0x851EB851EB851EBA|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80004dfc]:mul a2, a0, a1<br> [0x80004e00]:sd a2, 1632(ra)<br>    |
| 480|[0x80009f10]<br>0x70A3D70A3D70A3D9|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x80004e44]:mul a2, a0, a1<br> [0x80004e48]:sd a2, 1640(ra)<br>    |
| 481|[0x80009f18]<br>0x3333333235C5DEBA|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                                          |[0x80004e7c]:mul a2, a0, a1<br> [0x80004e80]:sd a2, 1648(ra)<br>    |
| 482|[0x80009f20]<br>0xEEEEEEEEEEEEEEEE|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x80004ec4]:mul a2, a0, a1<br> [0x80004ec8]:sd a2, 1656(ra)<br>    |
| 483|[0x80009f28]<br>0x7777777777777777|- rs1_val==7378697629483820645 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x80004f0c]:mul a2, a0, a1<br> [0x80004f10]:sd a2, 1664(ra)<br>    |
| 484|[0x80009f30]<br>0x666666666666665E|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                                   |[0x80004f38]:mul a2, a0, a1<br> [0x80004f3c]:sd a2, 1672(ra)<br>    |
| 485|[0x80009f38]<br>0x51EB851EB851EB84|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80004f80]:mul a2, a0, a1<br> [0x80004f84]:sd a2, 1680(ra)<br>    |
| 486|[0x80009f40]<br>0x3D70A3D70A3D70A3|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80004fc8]:mul a2, a0, a1<br> [0x80004fcc]:sd a2, 1688(ra)<br>    |
| 487|[0x80009f48]<br>0xCCCCCCCDCA3A2146|- rs1_val==7378697629483820645 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80005000]:mul a2, a0, a1<br> [0x80005004]:sd a2, 1696(ra)<br>    |
| 488|[0x80009f50]<br>0xFFFFFFFF0292AB84|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                                          |[0x80005038]:mul a2, a0, a1<br> [0x8000503c]:sd a2, 1704(ra)<br>    |
| 489|[0x80009f58]<br>0x000000021F0ED996|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                                            |[0x80005054]:mul a2, a0, a1<br> [0x80005058]:sd a2, 1712(ra)<br>    |
| 490|[0x80009f60]<br>0x5555555518FE599A|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                          |[0x8000508c]:mul a2, a0, a1<br> [0x80005090]:sd a2, 1720(ra)<br>    |
| 491|[0x80009f68]<br>0xAAAAAAAA31FCB334|- rs1_val==3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                         |[0x800050c4]:mul a2, a0, a1<br> [0x800050c8]:sd a2, 1728(ra)<br>    |
| 492|[0x80009f70]<br>0x000000038918BFFA|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                                            |[0x800050e0]:mul a2, a0, a1<br> [0x800050e4]:sd a2, 1736(ra)<br>    |
| 493|[0x80009f78]<br>0x99999999756568F6|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                          |[0x80005118]:mul a2, a0, a1<br> [0x8000511c]:sd a2, 1744(ra)<br>    |
| 494|[0x80009f80]<br>0x33333332EACAD1EC|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                          |[0x80005150]:mul a2, a0, a1<br> [0x80005154]:sd a2, 1752(ra)<br>    |
| 495|[0x80009f88]<br>0x800000021663170A|- rs1_val==3037000498 and rs2_val==-3037000499<br>                                                                                                                                                  |[0x80005178]:mul a2, a0, a1<br> [0x8000517c]:sd a2, 1760(ra)<br>    |
| 496|[0x80009f90]<br>0x7FFFFFFDE99CE8F6|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                                   |[0x800051a0]:mul a2, a0, a1<br> [0x800051a4]:sd a2, 1768(ra)<br>    |
| 497|[0x80009f98]<br>0x000000016A09E664|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                                            |[0x800051bc]:mul a2, a0, a1<br> [0x800051c0]:sd a2, 1776(ra)<br>    |
| 498|[0x80009fa0]<br>0x5555555463F96668|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                          |[0x800051f4]:mul a2, a0, a1<br> [0x800051f8]:sd a2, 1784(ra)<br>    |
| 499|[0x80009fa8]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                                            |[0x80005210]:mul a2, a0, a1<br> [0x80005214]:sd a2, 1792(ra)<br>    |
| 500|[0x80009fb0]<br>0x00000002D413CCC8|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                                            |[0x8000522c]:mul a2, a0, a1<br> [0x80005230]:sd a2, 1800(ra)<br>    |
| 501|[0x80009fb8]<br>0x99999998C06075C4|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                          |[0x80005264]:mul a2, a0, a1<br> [0x80005268]:sd a2, 1808(ra)<br>    |
| 502|[0x80009fc0]<br>0x3333333235C5DEBA|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                          |[0x8000529c]:mul a2, a0, a1<br> [0x800052a0]:sd a2, 1816(ra)<br>    |
| 503|[0x80009fc8]<br>0x7FFFFFFD3497F5C4|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                                   |[0x800052c4]:mul a2, a0, a1<br> [0x800052c8]:sd a2, 1824(ra)<br>    |
| 504|[0x80009fd0]<br>0x55555555CE034CCC|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                          |[0x800052fc]:mul a2, a0, a1<br> [0x80005300]:sd a2, 1832(ra)<br>    |
| 505|[0x80009fd8]<br>0xAAAAAAAAE701A666|- rs1_val==3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                         |[0x80005334]:mul a2, a0, a1<br> [0x80005338]:sd a2, 1840(ra)<br>    |
| 506|[0x80009fe0]<br>0x000000043E1DB32C|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                                            |[0x80005350]:mul a2, a0, a1<br> [0x80005354]:sd a2, 1848(ra)<br>    |
| 507|[0x80009fe8]<br>0x9999999A2A6A5C28|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                          |[0x80005388]:mul a2, a0, a1<br> [0x8000538c]:sd a2, 1856(ra)<br>    |
| 508|[0x80009ff0]<br>0x333333339FCFC51E|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                          |[0x800053c0]:mul a2, a0, a1<br> [0x800053c4]:sd a2, 1864(ra)<br>    |
| 509|[0x80009ff8]<br>0x80000002CB680A3C|- rs1_val==3037000498 and rs2_val==-3037000498<br>                                                                                                                                                  |[0x800053e8]:mul a2, a0, a1<br> [0x800053ec]:sd a2, 1872(ra)<br>    |
| 510|[0x8000a000]<br>0x7FFFFFFE9EA1DC28|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                                   |[0x80005410]:mul a2, a0, a1<br> [0x80005414]:sd a2, 1880(ra)<br>    |
| 511|[0x8000a008]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                                   |[0x8000543c]:mul a2, a0, a1<br> [0x80005440]:sd a2, 1888(ra)<br>    |
| 512|[0x8000a010]<br>0xE38E38E38E38E38E|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80005484]:mul a2, a0, a1<br> [0x80005488]:sd a2, 1896(ra)<br>    |
| 513|[0x8000a018]<br>0xC71C71C71C71C71C|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x800054cc]:mul a2, a0, a1<br> [0x800054d0]:sd a2, 1904(ra)<br>    |
| 514|[0x8000a020]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                                   |[0x800054f8]:mul a2, a0, a1<br> [0x800054fc]:sd a2, 1912(ra)<br>    |
| 515|[0x8000a028]<br>0x2222222222222222|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80005540]:mul a2, a0, a1<br> [0x80005544]:sd a2, 1920(ra)<br>    |
| 516|[0x8000a030]<br>0x4444444444444444|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80005588]:mul a2, a0, a1<br> [0x8000558c]:sd a2, 1928(ra)<br>    |
| 517|[0x8000a038]<br>0x55555554DCA75DDE|- rs1_val==6148914691236517206 and rs2_val==-3037000499<br>                                                                                                                                         |[0x800055c0]:mul a2, a0, a1<br> [0x800055c4]:sd a2, 1936(ra)<br>    |
| 518|[0x8000a040]<br>0xAAAAAAAB2358A222|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                          |[0x800055f8]:mul a2, a0, a1<br> [0x800055fc]:sd a2, 1944(ra)<br>    |
| 519|[0x8000a048]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                                   |[0x80005624]:mul a2, a0, a1<br> [0x80005628]:sd a2, 1952(ra)<br>    |
| 520|[0x8000a050]<br>0x8E38E38E38E38E38|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x8000566c]:mul a2, a0, a1<br> [0x80005670]:sd a2, 1960(ra)<br>    |
| 521|[0x8000a058]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                                   |[0x80005698]:mul a2, a0, a1<br> [0x8000569c]:sd a2, 1968(ra)<br>    |
| 522|[0x8000a060]<br>0x5555555555555558|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                                   |[0x800056c4]:mul a2, a0, a1<br> [0x800056c8]:sd a2, 1976(ra)<br>    |
| 523|[0x8000a068]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x8000570c]:mul a2, a0, a1<br> [0x80005710]:sd a2, 1984(ra)<br>    |
| 524|[0x8000a070]<br>0xEEEEEEEEEEEEEEEE|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x80005754]:mul a2, a0, a1<br> [0x80005758]:sd a2, 1992(ra)<br>    |
| 525|[0x8000a078]<br>0x55555555CE034CCC|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                          |[0x8000578c]:mul a2, a0, a1<br> [0x80005790]:sd a2, 2000(ra)<br>    |
| 526|[0x8000a080]<br>0x38E38E38E38E38E4|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x800057d4]:mul a2, a0, a1<br> [0x800057d8]:sd a2, 2008(ra)<br>    |
| 527|[0x8000a088]<br>0x1C71C71C71C71C72|- rs1_val==6148914691236517206 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x8000581c]:mul a2, a0, a1<br> [0x80005820]:sd a2, 2016(ra)<br>    |
| 528|[0x8000a090]<br>0x0000000000000004|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                                   |[0x80005848]:mul a2, a0, a1<br> [0x8000584c]:sd a2, 2024(ra)<br>    |
| 529|[0x8000a098]<br>0x7777777777777778|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80005890]:mul a2, a0, a1<br> [0x80005894]:sd a2, 2032(ra)<br>    |
| 530|[0x8000a0a0]<br>0x999999999999999A|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x800058d8]:mul a2, a0, a1<br> [0x800058dc]:sd a2, 2040(ra)<br>    |
| 531|[0x8000a0a8]<br>0xAAAAAAAA31FCB334|- rs1_val==6148914691236517206 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80005918]:mul a2, a0, a1<br> [0x8000591c]:sd a2, 0(ra)<br>       |
| 532|[0x8000a0b0]<br>0x0000000078ADF778|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                          |[0x80005950]:mul a2, a0, a1<br> [0x80005954]:sd a2, 8(ra)<br>       |
| 533|[0x8000a0b8]<br>0x0000000000000001|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                                  |[0x8000597c]:mul a2, a0, a1<br> [0x80005980]:sd a2, 16(ra)<br>      |
| 534|[0x8000a0c0]<br>0x71C71C71C71C71C7|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                |[0x800059c4]:mul a2, a0, a1<br> [0x800059c8]:sd a2, 24(ra)<br>      |
| 535|[0x8000a0c8]<br>0xE38E38E38E38E38E|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517206<br>                                                                                                                               |[0x80005a0c]:mul a2, a0, a1<br> [0x80005a10]:sd a2, 32(ra)<br>      |
| 536|[0x8000a0d0]<br>0x5555555555555557|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                                  |[0x80005a38]:mul a2, a0, a1<br> [0x80005a3c]:sd a2, 40(ra)<br>      |
| 537|[0x8000a0d8]<br>0x1111111111111111|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                |[0x80005a80]:mul a2, a0, a1<br> [0x80005a84]:sd a2, 48(ra)<br>      |
| 538|[0x8000a0e0]<br>0x2222222222222222|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                |[0x80005ac8]:mul a2, a0, a1<br> [0x80005acc]:sd a2, 56(ra)<br>      |
| 539|[0x8000a0e8]<br>0xAAAAAAAA6E53AEEF|- rs1_val==-6148914691236517205 and rs2_val==-3037000499<br>                                                                                                                                        |[0x80005b00]:mul a2, a0, a1<br> [0x80005b04]:sd a2, 64(ra)<br>      |
| 540|[0x8000a0f0]<br>0x5555555591AC5111|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                         |[0x80005b38]:mul a2, a0, a1<br> [0x80005b3c]:sd a2, 72(ra)<br>      |
| 541|[0x8000a0f8]<br>0x5555555555555556|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                                  |[0x80005b64]:mul a2, a0, a1<br> [0x80005b68]:sd a2, 80(ra)<br>      |
| 542|[0x8000a100]<br>0xC71C71C71C71C71C|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                |[0x80005bac]:mul a2, a0, a1<br> [0x80005bb0]:sd a2, 88(ra)<br>      |
| 543|[0x8000a108]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                                  |[0x80005bd8]:mul a2, a0, a1<br> [0x80005bdc]:sd a2, 96(ra)<br>      |
| 544|[0x8000a110]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                                  |[0x80005c04]:mul a2, a0, a1<br> [0x80005c08]:sd a2, 104(ra)<br>     |
| 545|[0x8000a118]<br>0x6666666666666666|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                |[0x80005c4c]:mul a2, a0, a1<br> [0x80005c50]:sd a2, 112(ra)<br>     |
| 546|[0x8000a120]<br>0x7777777777777777|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                |[0x80005c94]:mul a2, a0, a1<br> [0x80005c98]:sd a2, 120(ra)<br>     |
| 547|[0x8000a128]<br>0xAAAAAAAAE701A666|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                         |[0x80005ccc]:mul a2, a0, a1<br> [0x80005cd0]:sd a2, 128(ra)<br>     |
| 548|[0x8000a130]<br>0x1C71C71C71C71C72|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                |[0x80005d14]:mul a2, a0, a1<br> [0x80005d18]:sd a2, 136(ra)<br>     |
| 549|[0x8000a138]<br>0x8E38E38E38E38E39|- rs1_val==-6148914691236517205 and rs2_val==-6148914691236517205<br>                                                                                                                               |[0x80005d5c]:mul a2, a0, a1<br> [0x80005d60]:sd a2, 144(ra)<br>     |
| 550|[0x8000a140]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                                     |[0x80005d6c]:mul a2, a0, a1<br> [0x80005d70]:sd a2, 152(ra)<br>     |
| 551|[0x8000a148]<br>0x0000000000000002|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                                  |[0x80005d98]:mul a2, a0, a1<br> [0x80005d9c]:sd a2, 160(ra)<br>     |
| 552|[0x8000a150]<br>0xBBBBBBBBBBBBBBBC|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                |[0x80005de0]:mul a2, a0, a1<br> [0x80005de4]:sd a2, 168(ra)<br>     |
| 553|[0x8000a158]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                |[0x80005e28]:mul a2, a0, a1<br> [0x80005e2c]:sd a2, 176(ra)<br>     |
| 554|[0x8000a160]<br>0x5555555518FE599A|- rs1_val==-6148914691236517205 and rs2_val==-3037000498<br>                                                                                                                                        |[0x80005e60]:mul a2, a0, a1<br> [0x80005e64]:sd a2, 184(ra)<br>     |
| 555|[0x8000a168]<br>0x000000003C56FBBC|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                         |[0x80005e98]:mul a2, a0, a1<br> [0x80005e9c]:sd a2, 192(ra)<br>     |
| 556|[0x8000a170]<br>0x0000000000000012|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                                     |[0x80005ea8]:mul a2, a0, a1<br> [0x80005eac]:sd a2, 200(ra)<br>     |
| 557|[0x8000a178]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                                   |[0x80005ed4]:mul a2, a0, a1<br> [0x80005ed8]:sd a2, 208(ra)<br>     |
| 558|[0x8000a180]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==6 and rs2_val==-6148914691236517206<br>                                                                                                                                                  |[0x80005f00]:mul a2, a0, a1<br> [0x80005f04]:sd a2, 216(ra)<br>     |
| 559|[0x8000a188]<br>0x000000000000001E|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                                     |[0x80005f10]:mul a2, a0, a1<br> [0x80005f14]:sd a2, 224(ra)<br>     |
| 560|[0x8000a190]<br>0x3333333333333332|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                                   |[0x80005f3c]:mul a2, a0, a1<br> [0x80005f40]:sd a2, 232(ra)<br>     |
| 561|[0x8000a198]<br>0x6666666666666664|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                                   |[0x80005f68]:mul a2, a0, a1<br> [0x80005f6c]:sd a2, 240(ra)<br>     |
| 562|[0x8000a1a0]<br>0xFFFFFFFBC1E24CCE|- rs1_val==6 and rs2_val==-3037000499<br>                                                                                                                                                           |[0x80005f84]:mul a2, a0, a1<br> [0x80005f88]:sd a2, 248(ra)<br>     |
| 563|[0x8000a1a8]<br>0x000000043E1DB332|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                                            |[0x80005fa0]:mul a2, a0, a1<br> [0x80005fa4]:sd a2, 256(ra)<br>     |
| 564|[0x8000a1b0]<br>0x000000000000000C|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                                     |[0x80005fb0]:mul a2, a0, a1<br> [0x80005fb4]:sd a2, 264(ra)<br>     |
| 565|[0x8000a1b8]<br>0xFFFFFFFFFFFFFFF8|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x80005fdc]:mul a2, a0, a1<br> [0x80005fe0]:sd a2, 272(ra)<br>     |
| 566|[0x8000a1c0]<br>0x0000000000000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                                     |[0x80005fec]:mul a2, a0, a1<br> [0x80005ff0]:sd a2, 280(ra)<br>     |
| 567|[0x8000a1c8]<br>0x0000000000000018|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                                     |[0x80005ffc]:mul a2, a0, a1<br> [0x80006000]:sd a2, 288(ra)<br>     |
| 568|[0x8000a1d0]<br>0x333333333333332C|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x80006028]:mul a2, a0, a1<br> [0x8000602c]:sd a2, 296(ra)<br>     |
| 569|[0x8000a1d8]<br>0x666666666666665E|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x80006054]:mul a2, a0, a1<br> [0x80006058]:sd a2, 304(ra)<br>     |
| 570|[0x8000a1e0]<br>0x000000043E1DB32C|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                                            |[0x80006070]:mul a2, a0, a1<br> [0x80006074]:sd a2, 312(ra)<br>     |
| 571|[0x8000a1e8]<br>0x0000000000000004|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x8000609c]:mul a2, a0, a1<br> [0x800060a0]:sd a2, 320(ra)<br>     |
| 572|[0x8000a1f0]<br>0x0000000000000002|- rs1_val==6 and rs2_val==-6148914691236517205<br>                                                                                                                                                  |[0x800060c8]:mul a2, a0, a1<br> [0x800060cc]:sd a2, 328(ra)<br>     |
| 573|[0x8000a1f8]<br>0x0000000000000024|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                                     |[0x800060d8]:mul a2, a0, a1<br> [0x800060dc]:sd a2, 336(ra)<br>     |
| 574|[0x8000a200]<br>0x3333333333333338|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x80006104]:mul a2, a0, a1<br> [0x80006108]:sd a2, 344(ra)<br>     |
| 575|[0x8000a208]<br>0x666666666666666A|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x80006130]:mul a2, a0, a1<br> [0x80006134]:sd a2, 352(ra)<br>     |
| 576|[0x8000a210]<br>0xFFFFFFFBC1E24CD4|- rs1_val==6 and rs2_val==-3037000498<br>                                                                                                                                                           |[0x8000614c]:mul a2, a0, a1<br> [0x80006150]:sd a2, 360(ra)<br>     |
| 577|[0x8000a218]<br>0x000000043E1DB338|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                                            |[0x80006168]:mul a2, a0, a1<br> [0x8000616c]:sd a2, 368(ra)<br>     |
| 578|[0x8000a220]<br>0x999999999999999C|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                                   |[0x80006194]:mul a2, a0, a1<br> [0x80006198]:sd a2, 376(ra)<br>     |
| 579|[0x8000a228]<br>0x4444444444444444|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x800061dc]:mul a2, a0, a1<br> [0x800061e0]:sd a2, 384(ra)<br>     |
| 580|[0x8000a230]<br>0x8888888888888888|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x80006224]:mul a2, a0, a1<br> [0x80006228]:sd a2, 392(ra)<br>     |
| 581|[0x8000a238]<br>0x0000000000000004|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                                   |[0x80006250]:mul a2, a0, a1<br> [0x80006254]:sd a2, 400(ra)<br>     |
| 582|[0x8000a240]<br>0xC28F5C28F5C28F5C|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x80006298]:mul a2, a0, a1<br> [0x8000629c]:sd a2, 408(ra)<br>     |
| 583|[0x8000a248]<br>0x851EB851EB851EB8|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x800062e0]:mul a2, a0, a1<br> [0x800062e4]:sd a2, 416(ra)<br>     |
| 584|[0x8000a250]<br>0x33333332A26270A4|- rs1_val==3689348814741910324 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80006318]:mul a2, a0, a1<br> [0x8000631c]:sd a2, 424(ra)<br>     |
| 585|[0x8000a258]<br>0xCCCCCCCD5D9D8F5C|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                                          |[0x80006350]:mul a2, a0, a1<br> [0x80006354]:sd a2, 432(ra)<br>     |
| 586|[0x8000a260]<br>0x6666666666666668|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                                   |[0x8000637c]:mul a2, a0, a1<br> [0x80006380]:sd a2, 440(ra)<br>     |
| 587|[0x8000a268]<br>0x1111111111111110|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x800063c4]:mul a2, a0, a1<br> [0x800063c8]:sd a2, 448(ra)<br>     |
| 588|[0x8000a270]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                                   |[0x800063f0]:mul a2, a0, a1<br> [0x800063f4]:sd a2, 456(ra)<br>     |
| 589|[0x8000a278]<br>0xCCCCCCCCCCCCCCD0|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                                   |[0x8000641c]:mul a2, a0, a1<br> [0x80006420]:sd a2, 464(ra)<br>     |
| 590|[0x8000a280]<br>0x8F5C28F5C28F5C28|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x80006464]:mul a2, a0, a1<br> [0x80006468]:sd a2, 472(ra)<br>     |
| 591|[0x8000a288]<br>0x51EB851EB851EB84|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x800064ac]:mul a2, a0, a1<br> [0x800064b0]:sd a2, 480(ra)<br>     |
| 592|[0x8000a290]<br>0x9999999A2A6A5C28|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                                          |[0x800064e4]:mul a2, a0, a1<br> [0x800064e8]:sd a2, 488(ra)<br>     |
| 593|[0x8000a298]<br>0x7777777777777778|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x8000652c]:mul a2, a0, a1<br> [0x80006530]:sd a2, 496(ra)<br>     |
| 594|[0x8000a2a0]<br>0xBBBBBBBBBBBBBBBC|- rs1_val==3689348814741910324 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x80006574]:mul a2, a0, a1<br> [0x80006578]:sd a2, 504(ra)<br>     |
| 595|[0x8000a2a8]<br>0x3333333333333338|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                                   |[0x800065a0]:mul a2, a0, a1<br> [0x800065a4]:sd a2, 512(ra)<br>     |
| 596|[0x8000a2b0]<br>0xF5C28F5C28F5C290|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x800065e8]:mul a2, a0, a1<br> [0x800065ec]:sd a2, 520(ra)<br>     |
| 597|[0x8000a2b8]<br>0xB851EB851EB851EC|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80006630]:mul a2, a0, a1<br> [0x80006634]:sd a2, 528(ra)<br>     |
| 598|[0x8000a2c0]<br>0x66666665D595A3D8|- rs1_val==3689348814741910324 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80006668]:mul a2, a0, a1<br> [0x8000666c]:sd a2, 536(ra)<br>     |
| 599|[0x8000a2c8]<br>0x0000000090D0C290|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                                          |[0x800066a0]:mul a2, a0, a1<br> [0x800066a4]:sd a2, 544(ra)<br>     |
| 600|[0x8000a2d0]<br>0x3333333333333335|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                                   |[0x800066cc]:mul a2, a0, a1<br> [0x800066d0]:sd a2, 552(ra)<br>     |
| 601|[0x8000a2d8]<br>0x3333333333333333|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                                 |[0x80006714]:mul a2, a0, a1<br> [0x80006718]:sd a2, 560(ra)<br>     |
| 602|[0x8000a2e0]<br>0x6666666666666666|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517206<br>                                                                                                                                |[0x8000675c]:mul a2, a0, a1<br> [0x80006760]:sd a2, 568(ra)<br>     |
| 603|[0x8000a2e8]<br>0x0000000000000003|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                                   |[0x80006788]:mul a2, a0, a1<br> [0x8000678c]:sd a2, 576(ra)<br>     |
| 604|[0x8000a2f0]<br>0x51EB851EB851EB85|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                                 |[0x800067d0]:mul a2, a0, a1<br> [0x800067d4]:sd a2, 584(ra)<br>     |
| 605|[0x8000a2f8]<br>0xA3D70A3D70A3D70A|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                                 |[0x80006818]:mul a2, a0, a1<br> [0x8000681c]:sd a2, 592(ra)<br>     |
| 606|[0x8000a300]<br>0x66666665F9C9D47B|- rs1_val==7378697629483820647 and rs2_val==-3037000499<br>                                                                                                                                         |[0x80006850]:mul a2, a0, a1<br> [0x80006854]:sd a2, 600(ra)<br>     |
| 607|[0x8000a308]<br>0x9999999A06362B85|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                                          |[0x80006888]:mul a2, a0, a1<br> [0x8000688c]:sd a2, 608(ra)<br>     |
| 608|[0x8000a310]<br>0xCCCCCCCCCCCCCCCE|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                                   |[0x800068b4]:mul a2, a0, a1<br> [0x800068b8]:sd a2, 616(ra)<br>     |
| 609|[0x8000a318]<br>0xCCCCCCCCCCCCCCCC|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                                 |[0x800068fc]:mul a2, a0, a1<br> [0x80006900]:sd a2, 624(ra)<br>     |
| 610|[0x8000a320]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                                   |[0x80006928]:mul a2, a0, a1<br> [0x8000692c]:sd a2, 632(ra)<br>     |
| 611|[0x8000a328]<br>0x999999999999999C|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                                   |[0x80006954]:mul a2, a0, a1<br> [0x80006958]:sd a2, 640(ra)<br>     |
| 612|[0x8000a330]<br>0xEB851EB851EB851E|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                                 |[0x8000699c]:mul a2, a0, a1<br> [0x800069a0]:sd a2, 648(ra)<br>     |
| 613|[0x8000a338]<br>0x3D70A3D70A3D70A3|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                                 |[0x800069e4]:mul a2, a0, a1<br> [0x800069e8]:sd a2, 656(ra)<br>     |
| 614|[0x8000a340]<br>0x333333339FCFC51E|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                                          |[0x80006a1c]:mul a2, a0, a1<br> [0x80006a20]:sd a2, 664(ra)<br>     |
| 615|[0x8000a348]<br>0x999999999999999A|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                                 |[0x80006a64]:mul a2, a0, a1<br> [0x80006a68]:sd a2, 672(ra)<br>     |
| 616|[0x8000a350]<br>0xCCCCCCCCCCCCCCCD|- rs1_val==7378697629483820647 and rs2_val==-6148914691236517205<br>                                                                                                                                |[0x80006aac]:mul a2, a0, a1<br> [0x80006ab0]:sd a2, 680(ra)<br>     |
| 617|[0x8000a358]<br>0x666666666666666A|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                                   |[0x80006ad8]:mul a2, a0, a1<br> [0x80006adc]:sd a2, 688(ra)<br>     |
| 618|[0x8000a360]<br>0xB851EB851EB851EC|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                                 |[0x80006b20]:mul a2, a0, a1<br> [0x80006b24]:sd a2, 696(ra)<br>     |
| 619|[0x8000a368]<br>0x0A3D70A3D70A3D71|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                                 |[0x80006b68]:mul a2, a0, a1<br> [0x80006b6c]:sd a2, 704(ra)<br>     |
| 620|[0x8000a370]<br>0xCCCCCCCC60303AE2|- rs1_val==7378697629483820647 and rs2_val==-3037000498<br>                                                                                                                                         |[0x80006ba0]:mul a2, a0, a1<br> [0x80006ba4]:sd a2, 712(ra)<br>     |
| 621|[0x8000a378]<br>0x000000006C9C91EC|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                                          |[0x80006bd8]:mul a2, a0, a1<br> [0x80006bdc]:sd a2, 720(ra)<br>     |
| 622|[0x8000a380]<br>0xFFFFFFFDE0F1266A|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                                           |[0x80006bf4]:mul a2, a0, a1<br> [0x80006bf8]:sd a2, 728(ra)<br>     |
| 623|[0x8000a388]<br>0xAAAAAAAAE701A666|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                         |[0x80006c2c]:mul a2, a0, a1<br> [0x80006c30]:sd a2, 736(ra)<br>     |
| 624|[0x8000a390]<br>0x55555555CE034CCC|- rs1_val==-3037000498 and rs2_val==-6148914691236517206<br>                                                                                                                                        |[0x80006c64]:mul a2, a0, a1<br> [0x80006c68]:sd a2, 744(ra)<br>     |
| 625|[0x8000a398]<br>0xFFFFFFFC76E74006|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                                           |[0x80006c80]:mul a2, a0, a1<br> [0x80006c84]:sd a2, 752(ra)<br>     |
| 626|[0x8000a3a0]<br>0x666666668A9A970A|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                         |[0x80006cb8]:mul a2, a0, a1<br> [0x80006cbc]:sd a2, 760(ra)<br>     |
| 627|[0x8000a3a8]<br>0xCCCCCCCD15352E14|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                         |[0x80006cf0]:mul a2, a0, a1<br> [0x80006cf4]:sd a2, 768(ra)<br>     |
| 628|[0x8000a3b0]<br>0x7FFFFFFDE99CE8F6|- rs1_val==-3037000498 and rs2_val==-3037000499<br>                                                                                                                                                 |[0x80006d18]:mul a2, a0, a1<br> [0x80006d1c]:sd a2, 776(ra)<br>     |
| 629|[0x8000a3b8]<br>0x800000021663170A|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                                  |[0x80006d40]:mul a2, a0, a1<br> [0x80006d44]:sd a2, 784(ra)<br>     |
| 630|[0x8000a3c0]<br>0xFFFFFFFE95F6199C|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                                           |[0x80006d5c]:mul a2, a0, a1<br> [0x80006d60]:sd a2, 792(ra)<br>     |
| 631|[0x8000a3c8]<br>0xAAAAAAAB9C069998|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                         |[0x80006d94]:mul a2, a0, a1<br> [0x80006d98]:sd a2, 800(ra)<br>     |
| 632|[0x8000a3d0]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                                           |[0x80006db0]:mul a2, a0, a1<br> [0x80006db4]:sd a2, 808(ra)<br>     |
| 633|[0x8000a3d8]<br>0xFFFFFFFD2BEC3338|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                                           |[0x80006dcc]:mul a2, a0, a1<br> [0x80006dd0]:sd a2, 816(ra)<br>     |
| 634|[0x8000a3e0]<br>0x666666673F9F8A3C|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                         |[0x80006e04]:mul a2, a0, a1<br> [0x80006e08]:sd a2, 824(ra)<br>     |
| 635|[0x8000a3e8]<br>0xCCCCCCCDCA3A2146|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                         |[0x80006e3c]:mul a2, a0, a1<br> [0x80006e40]:sd a2, 832(ra)<br>     |
| 636|[0x8000a3f0]<br>0x80000002CB680A3C|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                                  |[0x80006e64]:mul a2, a0, a1<br> [0x80006e68]:sd a2, 840(ra)<br>     |
| 637|[0x8000a3f8]<br>0xAAAAAAAA31FCB334|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                         |[0x80006e9c]:mul a2, a0, a1<br> [0x80006ea0]:sd a2, 848(ra)<br>     |
| 638|[0x8000a400]<br>0x5555555518FE599A|- rs1_val==-3037000498 and rs2_val==-6148914691236517205<br>                                                                                                                                        |[0x80006ed4]:mul a2, a0, a1<br> [0x80006ed8]:sd a2, 856(ra)<br>     |
| 639|[0x8000a408]<br>0xFFFFFFFBC1E24CD4|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                                           |[0x80006ef0]:mul a2, a0, a1<br> [0x80006ef4]:sd a2, 864(ra)<br>     |
| 640|[0x8000a410]<br>0x66666665D595A3D8|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                         |[0x80006f28]:mul a2, a0, a1<br> [0x80006f2c]:sd a2, 872(ra)<br>     |
| 641|[0x8000a418]<br>0xCCCCCCCC60303AE2|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                         |[0x80006f60]:mul a2, a0, a1<br> [0x80006f64]:sd a2, 880(ra)<br>     |
| 642|[0x8000a420]<br>0x7FFFFFFD3497F5C4|- rs1_val==-3037000498 and rs2_val==-3037000498<br>                                                                                                                                                 |[0x80006f88]:mul a2, a0, a1<br> [0x80006f8c]:sd a2, 888(ra)<br>     |
| 643|[0x8000a428]<br>0x80000001615E23D8|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                                  |[0x80006fb0]:mul a2, a0, a1<br> [0x80006fb4]:sd a2, 896(ra)<br>     |
| 644|[0x8000a430]<br>0x000000021F0ED99C|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                                            |[0x80006fcc]:mul a2, a0, a1<br> [0x80006fd0]:sd a2, 904(ra)<br>     |
| 645|[0x8000a438]<br>0xFFFFFFFFC3A90444|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                                          |[0x80007004]:mul a2, a0, a1<br> [0x80007008]:sd a2, 912(ra)<br>     |
| 646|[0x8000a440]<br>0xFFFFFFFF87520888|- rs1_val==3037000500 and rs2_val==-6148914691236517206<br>                                                                                                                                         |[0x8000703c]:mul a2, a0, a1<br> [0x80007040]:sd a2, 920(ra)<br>     |
| 647|[0x8000a448]<br>0x000000038918C004|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                                            |[0x80007058]:mul a2, a0, a1<br> [0x8000705c]:sd a2, 928(ra)<br>     |
| 648|[0x8000a450]<br>0xFFFFFFFFDBCBCF5C|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                                          |[0x80007090]:mul a2, a0, a1<br> [0x80007094]:sd a2, 936(ra)<br>     |
| 649|[0x8000a458]<br>0xFFFFFFFFB7979EB8|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                                          |[0x800070c8]:mul a2, a0, a1<br> [0x800070cc]:sd a2, 944(ra)<br>     |
| 650|[0x8000a460]<br>0x80000000AC5930A4|- rs1_val==3037000500 and rs2_val==-3037000499<br>                                                                                                                                                  |[0x800070f0]:mul a2, a0, a1<br> [0x800070f4]:sd a2, 952(ra)<br>     |
| 651|[0x8000a468]<br>0x7FFFFFFF53A6CF5C|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                                   |[0x80007118]:mul a2, a0, a1<br> [0x8000711c]:sd a2, 960(ra)<br>     |
| 652|[0x8000a470]<br>0x000000016A09E668|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                                            |[0x80007134]:mul a2, a0, a1<br> [0x80007138]:sd a2, 968(ra)<br>     |
| 653|[0x8000a478]<br>0xFFFFFFFF0EA41110|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                                          |[0x8000716c]:mul a2, a0, a1<br> [0x80007170]:sd a2, 976(ra)<br>     |
| 654|[0x8000a480]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                                            |[0x80007188]:mul a2, a0, a1<br> [0x8000718c]:sd a2, 984(ra)<br>     |
| 655|[0x8000a488]<br>0x00000002D413CCD0|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                                            |[0x800071a4]:mul a2, a0, a1<br> [0x800071a8]:sd a2, 992(ra)<br>     |
| 656|[0x8000a490]<br>0xFFFFFFFF26C6DC28|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                                          |[0x800071dc]:mul a2, a0, a1<br> [0x800071e0]:sd a2, 1000(ra)<br>    |
| 657|[0x8000a498]<br>0xFFFFFFFF0292AB84|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                                          |[0x80007214]:mul a2, a0, a1<br> [0x80007218]:sd a2, 1008(ra)<br>    |
| 658|[0x8000a4a0]<br>0x7FFFFFFE9EA1DC28|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                                   |[0x8000723c]:mul a2, a0, a1<br> [0x80007240]:sd a2, 1016(ra)<br>    |
| 659|[0x8000a4a8]<br>0x0000000078ADF778|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                                          |[0x80007274]:mul a2, a0, a1<br> [0x80007278]:sd a2, 1024(ra)<br>    |
| 660|[0x8000a4b0]<br>0x000000003C56FBBC|- rs1_val==3037000500 and rs2_val==-6148914691236517205<br>                                                                                                                                         |[0x800072ac]:mul a2, a0, a1<br> [0x800072b0]:sd a2, 1032(ra)<br>    |
| 661|[0x8000a4b8]<br>0x000000043E1DB338|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                                            |[0x800072c8]:mul a2, a0, a1<br> [0x800072cc]:sd a2, 1040(ra)<br>    |
| 662|[0x8000a4c0]<br>0x0000000090D0C290|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                                          |[0x80007300]:mul a2, a0, a1<br> [0x80007304]:sd a2, 1048(ra)<br>    |
| 663|[0x8000a4c8]<br>0x000000006C9C91EC|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                                          |[0x80007338]:mul a2, a0, a1<br> [0x8000733c]:sd a2, 1056(ra)<br>    |
| 664|[0x8000a4d0]<br>0x80000001615E23D8|- rs1_val==3037000500 and rs2_val==-3037000498<br>                                                                                                                                                  |[0x80007360]:mul a2, a0, a1<br> [0x80007364]:sd a2, 1064(ra)<br>    |
| 665|[0x8000a4d8]<br>0x8000000008ABC290|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                                   |[0x80007388]:mul a2, a0, a1<br> [0x8000738c]:sd a2, 1072(ra)<br>    |
| 666|[0x8000a4e0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                                            |[0x800073a4]:mul a2, a0, a1<br> [0x800073a8]:sd a2, 1080(ra)<br>    |
| 667|[0x8000a4e8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                                     |[0x800073b4]:mul a2, a0, a1<br> [0x800073b8]:sd a2, 1088(ra)<br>    |
| 668|[0x8000a4f0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                                   |[0x800073e0]:mul a2, a0, a1<br> [0x800073e4]:sd a2, 1096(ra)<br>    |
| 669|[0x8000a4f8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                                     |[0x800073f0]:mul a2, a0, a1<br> [0x800073f4]:sd a2, 1104(ra)<br>    |
| 670|[0x8000a500]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                                   |[0x8000741c]:mul a2, a0, a1<br> [0x80007420]:sd a2, 1112(ra)<br>    |
| 671|[0x8000a508]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                                   |[0x80007448]:mul a2, a0, a1<br> [0x8000744c]:sd a2, 1120(ra)<br>    |
| 672|[0x8000a510]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                                            |[0x80007464]:mul a2, a0, a1<br> [0x80007468]:sd a2, 1128(ra)<br>    |
| 673|[0x8000a518]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                                   |[0x80007490]:mul a2, a0, a1<br> [0x80007494]:sd a2, 1136(ra)<br>    |
| 674|[0x8000a520]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                                     |[0x800074a0]:mul a2, a0, a1<br> [0x800074a4]:sd a2, 1144(ra)<br>    |
| 675|[0x8000a528]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                                   |[0x800074cc]:mul a2, a0, a1<br> [0x800074d0]:sd a2, 1152(ra)<br>    |
| 676|[0x8000a530]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                                   |[0x800074f8]:mul a2, a0, a1<br> [0x800074fc]:sd a2, 1160(ra)<br>    |
| 677|[0x8000a538]<br>0x0000008000000000|- rs2_val == 2097152<br>                                                                                                                                                                            |[0x80007508]:mul a2, a0, a1<br> [0x8000750c]:sd a2, 1168(ra)<br>    |
| 678|[0x8000a540]<br>0x333333999999999A|- rs2_val == -1099511627777<br>                                                                                                                                                                     |[0x8000753c]:mul a2, a0, a1<br> [0x80007540]:sd a2, 1176(ra)<br>    |
| 679|[0x8000a548]<br>0x0000000000000010|- rs2_val == 1<br>                                                                                                                                                                                  |[0x8000754c]:mul a2, a0, a1<br> [0x80007550]:sd a2, 1184(ra)<br>    |
| 680|[0x8000a550]<br>0xFFFFFFFFFFFFFFC0|- rs1_val == -2<br>                                                                                                                                                                                 |[0x8000755c]:mul a2, a0, a1<br> [0x80007560]:sd a2, 1192(ra)<br>    |
